unit ProfileEdit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TProfileeditForm }

  TProfileeditForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    CB_Rsync: TCheckBox;
    CB_usersetopt_all: TCheckBox;
    ED_Rsync: TEdit;
    ED_Vorlagenuser: TEdit;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    procedure Button1Click(Sender: TObject);
    procedure CB_RsyncChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    opt_text : String;
    { public declarations }
  end;

var
  ProfileeditForm: TProfileeditForm;

implementation

{$R *.lfm}

{ TProfileeditForm }

procedure TProfileeditForm.CB_RsyncChange(Sender: TObject);
begin
  if CB_Rsync.Checked then
    begin
      ED_Rsync.text := opt_text + ' --force --delete';
    end
  else
    Begin
      ED_Rsync.text := opt_text;
    end;
end;

procedure TProfileeditForm.FormShow(Sender: TObject);
Var
  p1,p2 : integer;
begin
  opt_text := Trim(Ed_Rsync.text);
  p1 := pos('--force',opt_text);
  p2 := pos('--delete',opt_text);
  if (p1>0) and (p2>0) then
    Begin
      Delete(opt_text,p1,7);
      p2 := pos('--delete',opt_text);
      Delete(opt_text,p2,8);
      opt_text := Trim(opt_text);
      ED_Rsync.text := opt_text + ' --force --delete';
      CB_Rsync.checked := True;
    end
  else
    begin
      ED_Rsync.text := opt_text;
      CB_Rsync.checked := False;
    end;
end;

procedure TProfileeditForm.Button1Click(Sender: TObject);
begin

end;

end.

