unit SnapshotwahlUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, math;

type

  { TWahlForm }

  TWahlForm = class(TForm)
    BT_OK: TButton;
    BT_Abbrechen: TButton;
    ED_Neu: TEdit;
    RG_Snapshot: TRadioGroup;
    InfoText: TStaticText;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    Snapshotlist: TStringList;
    ZeigeStandard, Zeigebase : Boolean;
    { public declarations }
  end;

var
  WahlForm: TWahlForm;

implementation

{$R *.lfm}

{ TWahlForm }

procedure TWahlForm.FormCreate(Sender: TObject);
begin

end;

procedure TWahlForm.FormShow(Sender: TObject);
Var
  n,h : integer;
begin
  RG_Snapshot.Items.Clear;
  RG_Snapshot.ItemIndex:=-1;;
  h := Snapshotlist.count;
  if ZeigeBase then
    Begin
      RG_Snapshot.items.Append('Base-Festplatte');
      inc(h);
    end;
  if ZeigeStandard then
    Begin
      RG_Snapshot.items.Append('standard');
      inc(h);
    end;
  RG_Snapshot.Height := Min(500,h*25+5);
  WahlForm.Height:= Max (180,RG_Snapshot.Height+20);
  if (Snapshotlist.count>0) or (ZeigeBase) or (ZeigeStandard) then
    for n := 0 to Snapshotlist.count-1 do
       begin
         if (Snapshotlist[n]<> 'base') and (Snapshotlist[n]<> 'standard')  then
           Begin
             RG_Snapshot.items.Append(Snapshotlist[n]);
           end;
       end
  else
    Begin
      close;
    end;
end;

end.

