unit mainunit;

// 0.1 erste Version
//   + autostart aufĺisten und sortieren
//   + wine Installation
//   + mfc42-Option bei wine
// 0.11
//   + Drucken
//   + splash-Screen 'Bitte Warten.'
//   + Passwoerter
//   + crontab-edit
//   + IP in sshd_conf überprüfen (ob 10.16.1.1 ???)
//   + udev regel partition ausblenden
//   + config-Pfad auf /etc/linuxmuster-client/lmlcc/ umsetzen
// 0.12
//   + Drucknotifier Settings
//   + kleine Anpassungen, Icon
//   + DNS Check
// 0.13
//   + BUG: Fehler reload rules
//   + Version in Hinweise übertragen
//   + fstab-devices in nautilusunit disablen mit Mountpoint
//   + Wine Installationsbefehle in config-Datei auslagern
//   + BUG: Fehler bei leerer/fehlerhafter Pinglist
//   + weitere Befehle in config-Datei auslagern
//   + Pfade in config-Datei auslagern
//   + gksudo Message-Text
//   + Wine Rückmeldung angepasst, DruckNotifier IP nicht mehr rot
// 0.14
//   + id_dsa.pub vom server für root einspielen
//   + bereinigen-list ergänzen
// 0.15
//   + BUG: Tabelle im linuxadmin-home zeigt nicht löschen und Server gleichzeitig an
// 0.15a
//   + Desktop-Icons verwalten
//   + linuxmuster-client-extras
//   + Hinweise-tab-sheet unter Status anzeigen
// 0.17
//   + leoclient2
// 0.20
//   + test auf filesize.vdi
//   + Wine Messages umstellen, Registry neu überarbeiten
//   + kleine Korrekturen
// 0.21a
//   + leolient2: leere .vdi-Datei als Auswahlmöglichkeit
//   + wine: wineserver Prozess überwachen mit "pgrep"
//   + Versionsabfrage leoclient2
//   + Test auf falsche Dateien unter Snapshots
// 0.21b
//   + Vergleiche default-vbox mit aktueller-vbox Datei
//   + Desktop-Starter dem profil-User übereignen
//   + pgmadmin-Registry zum linuxadmin kopieren
//   + BUG: wine Überprüfungshinweis in den Hintergrund
//   + BUG: rsync-Optin heisst "--links"
// 0.21c
//   + BUG: .wine-kopieren bei anderem profile_user und Fehlerprüfung
// 0.21e
//   + BUG: pgmadmin Registry kopieren bei anderem profile_user
// 0.22
//   + Fehlermeldung, rot falls ldap.conf unvollständig und pings in rot
//   + BUG: Desktop - Pfad am aktuellen User ermitteln mit Enviromnet Xauthority
//   + Option - known_hosts löschen bei Key-Import
//   + erste Netzwerkkarte zählt bei der IP Bestimmung
// 0.23
//   + BUG: swap richtig anzeigen bei 16.04
//   + BUG: install.sh Rechte setzen
//   + wine: Version 1.8 unter 16.04
// 0.24
//   + id_ecdsa.pub key
//   + Pfade: DruckNotifier, suspend-hibernate-script
//   + Kleinigkeiten
//   + neue bereinigen.cfg Datei
// 0.26a
//   + leoclient2-grid fehlertolerant
// 0.27
//   - leoclient2: .vdi-Dateien auf Null setzen

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  StdCtrls, Grids, ExtCtrls, EditBtn, ExtDlgs, base, Inifiles, types, process,
  pingedit, ListeEdit, ProfileEdit, messageunit, crontabedit, hipernateunit,
  nautilusunit, DNS_unit, iddsa_unit,Hinweisform,ScritWahlUnit,Repo_Unit,Autostart_Unit,
  SnapshotwahlUnit, ConfEditUnit;

type

  { TMainform }

  TMainform = class(TForm)
    Beenden: TButton;
    BTRefresh: TButton;
    BTlinuxadmin_Password: TButton;
    BTlinuxuser_Password: TButton;
    BT_desktop: TButton;
    BT_Bereinigen: TButton;
    BT_DesktopSpeichern: TButton;
    BT_Exec_suchen: TButton;
    BT_Icon_suchen: TButton;
    BT_Snapshotcreate: TButton;
    BT_ProfilEinstellungen: TButton;
    BT_HDInfo: TButton;
    BT_ifconfig: TButton;
    BT_route: TButton;
    BT_lsmod: TButton;
    BT_Prozesse: TButton;
    BT_Snapshotdelete: TButton;
    BT_Wine_install: TButton;
    BTVNC_Password: TButton;
    BTroot_password: TButton;
    BTUDEV: TButton;
    BTHipernate: TButton;
    BTUpdate: TButton;
    BT_DNS: TButton;
    BT_Druck_Aktualisieren: TButton;
    BT_CUPS_BP: TButton;
    BT_erstellen: TButton;
    BT_StarterVorlage: TButton;
    BT_VorlageUser: TButton;
    BT_Hinweise: TButton;
    BT_AddScript: TButton;
    BT_ExtraAktualisieren: TButton;
    BT_ExtrasSpeichern: TButton;
    BT_Leo: TButton;
    BT_SnapshotLoeschen: TButton;
    BT_SnapshotUmbenennen: TButton;
    BT_BaseSnapshotrenew: TButton;
    BT_Network_Conf: TButton;
    BT_Image_Conf: TButton;
    BT_LeoInit: TButton;
    BT_VM_Loeschen: TButton;
    BT_pgmadminRegistry: TButton;
    ID_ecdsa_pub: TButton;
    ED_Serverdir: TEdit;
    UbuntuText: TStaticText;
    WartenMemo: TMemo;
    StaticText32: TStaticText;
    serverdir_Warning: TStaticText;
    leoversion: TStaticText;
    VM_Grid: TStringGrid;
    VMList_Grid: TStringGrid;
    ST_Linkwarnung: TStaticText;
    Leoclient: TTabSheet;
    ZeigeRepos: TButton;
    ZeigeAutostart: TButton;
    CB_Startup: TCheckBox;
    CB_Terminal: TCheckBox;
    ED_Comment: TEdit;
    ED_Dateiname: TEdit;
    ED_Exec: TEdit;
    ED_Icon: TEdit;
    ED_Startername: TEdit;
    ED_Type: TEdit;
    ID_DSA_PUB: TButton;
    Df_Setzen: TButton;
    CB_Klartext: TCheckBox;
    DF_Menue: TCheckBox;
    DF_Info2: TCheckBox;
    Df_Info: TCheckBox;
    DF_Debug: TCheckBox;
    DF_AlleErlauben: TCheckBox;
    Crontab_editButton: TButton;
    Crontab_akt: TButton;
    BTBereinigenListEdit: TButton;
    BTEntsperren: TButton;
    CB_temp: TCheckBox;
    CB_AptCache: TCheckBox;
    CB_L_homes: TCheckBox;
    CB_S_homes: TCheckBox;
    CB_VB_Bereinigen: TCheckBox;
    CB_LoeschListe: TCheckBox;
    CB_Kerneldel: TCheckBox;
    CB_Wine_Repo: TCheckBox;
    CB_Wine_install: TCheckBox;
    CB_wine_rsync: TCheckBox;
    CB_Winecfg: TCheckBox;
    CB_Winehome: TCheckBox;
    CB_postumountscript: TCheckBox;
    CB_Registry: TCheckBox;
    CB_mfc42: TCheckBox;
    DF_rot: TEdit;
    Crontab_Pfad: TEdit;
    DF_ClientIP: TEdit;
    DF_Port: TEdit;
    DF_Log: TEdit;
    DF_GHE: TEdit;
    DF_Balance: TEdit;
    DF_Poorman: TEdit;
    DF_xpos: TEdit;
    DF_ypos: TEdit;
    DF_Fenster: TEdit;
    DF_Font: TEdit;
    DF_gruen: TEdit;
    DF_gelb: TEdit;
    ED_Desktoppfad: TEdit;
    ED_CupsBPneu: TEdit;
    ED_CupsBPZeile: TEdit;
    BereinigenLog: TMemo;
    CUPS: TTabSheet;
    Crontab_Memo: TMemo;
    Desktop_Panel: TPanel;
    Memo1: TMemo;
    Starter_Memo: TMemo;
    Starter_OpenPictureDialog: TOpenPictureDialog;
    Starter_OpenDialog: TOpenDialog;
    Panel1: TPanel;
    Panel2: TPanel;
    StaticText1: TStaticText;StaticText10: TStaticText; PrintersGrid: TStringGrid;StaticText13: TStaticText;StaticText14: TStaticText;
    StaticText15: TStaticText;StaticText16: TStaticText;StaticText17: TStaticText;StaticText18: TStaticText;StaticText19: TStaticText;
    StaticText20: TStaticText;StaticText21: TStaticText;StaticText22: TStaticText;StaticText23: TStaticText;StaticText24: TStaticText;
    StaticText25: TStaticText;StaticText26: TStaticText;StaticText27: TStaticText;StaticText28: TStaticText;StaticText29: TStaticText;
    StaticText30: TStaticText;
    Desktop_Grid: TStringGrid;
    Extra_Grid: TStringGrid;
    ST_Drucknotifier_Hinweis: TStaticText;
    StaticText5: TStaticText;
    StaticText8: TStaticText;
    ST_Drucknotifier: TStaticText;
    ST_sshd: TStaticText;
    ST_CupsBPIP1: TStaticText;
    Crontab: TTabSheet;
    Sonstiges: TTabSheet;
    Desktop: TTabSheet;
    Extras: TTabSheet;
    WineMemo: TMemo;
    Wine_log: TMemo;
    ProfilSpeichern: TButton;
    HomeEinlesen: TButton;
    CPUinfo: TButton;
    PingEdit: TButton;
    PageControl1: TPageControl;
    Splitter2: TSplitter;
    ST_ClientIP: TStaticText;
    ST_CupsBPIP2: TStaticText;
    StaticText11: TStaticText;
    SpeicherInfo1: TStaticText;
    StaticText12: TStaticText;
    SpeicherInfo2: TStaticText;
    SpeicherInfo3: TStaticText;
    PingListGrid: TStringGrid;
    LoeschenGrid: TStringGrid;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText6: TStaticText;
    StaticText7: TStaticText;
    ST_ldapserver: TStaticText;
    SwapInfo1: TStaticText;
    SwapInfo2: TStaticText;
    SwapInfo3: TStaticText;
    ST_ServerIP: TStaticText;
    ST_FirewallIP: TStaticText;
    StaticText4: TStaticText;
    ST_Subnetmask: TStaticText;
    ST_BaseDn: TStaticText;
    StaticText9: TStaticText;
    Status: TTabSheet;
    HomeGrid: TStringGrid;
    Bereinigen: TTabSheet;
    Wine: TTabSheet;
    Timer1: TTimer;
    UserProfil: TTabSheet;
    procedure BeendenClick(Sender: TObject);
    procedure BereinigenShow(Sender: TObject);
    procedure BTBereinigenListEditClick(Sender: TObject);
    procedure BTEntsperrenClick(Sender: TObject);
    procedure BTHipernateClick(Sender: TObject);
    procedure BTRefreshClick(Sender: TObject);
    procedure BTroot_passwordClick(Sender: TObject);
    procedure BTUDEVClick(Sender: TObject);
    procedure BTUpdateClick(Sender: TObject);
    procedure BTVNC_PasswordClick(Sender: TObject);
    procedure BT_AddScriptClick(Sender: TObject);
    procedure BT_BaseSnapshotrenewClick(Sender: TObject);
    procedure BT_BereinigenClick(Sender: TObject);
    procedure BT_CupsBPClick(Sender: TObject);
    procedure BT_desktopClick(Sender: TObject);
    procedure BT_DesktopSpeichernClick(Sender: TObject);
    procedure BT_DNSClick(Sender: TObject);
    procedure BT_Druck_AktualisierenClick(Sender: TObject);
    procedure BT_erstellenClick(Sender: TObject);
    procedure BT_Exec_suchenClick(Sender: TObject);
    procedure BT_ExtraAktualisierenClick(Sender: TObject);
    procedure BT_ExtrasSpeichernClick(Sender: TObject);
    procedure BT_HDInfoClick(Sender: TObject);
    procedure BT_HinweiseClick(Sender: TObject);
    procedure BT_Icon_suchenClick(Sender: TObject);
    procedure BT_ifconfigClick(Sender: TObject);
    procedure BT_LeoClick(Sender: TObject);
    procedure BT_LeoInitClick(Sender: TObject);
    procedure BT_Network_ConfClick(Sender: TObject);
    procedure BT_pgmadminRegistryClick(Sender: TObject);
    procedure BT_SnapshotcreateClick(Sender: TObject);
    procedure BT_SnapshotdeleteClick(Sender: TObject);
    procedure BT_SnapshotLoeschenClick(Sender: TObject);
    procedure BT_SnapshotUmbenennenClick(Sender: TObject);
    procedure BT_StarterVorlageClick(Sender: TObject);
    procedure BT_lsmodClick(Sender: TObject);
    procedure BT_ProfilEinstellungenClick(Sender: TObject);
    procedure BT_ProzesseClick(Sender: TObject);
    procedure BT_routeClick(Sender: TObject);
    procedure BT_VM_LoeschenClick(Sender: TObject);
    procedure BT_VorlageUserClick(Sender: TObject);
    procedure BT_Wine_installClick(Sender: TObject);
    procedure CPUinfoClick(Sender: TObject);
    procedure CrontabShow(Sender: TObject);
    procedure Crontab_aktClick(Sender: TObject);
    procedure Crontab_editButtonClick(Sender: TObject);
    procedure CUPSShow(Sender: TObject);
    procedure DesktopShow(Sender: TObject);
    procedure Desktop_GridClick(Sender: TObject);
    procedure Df_SetzenClick(Sender: TObject);
    procedure ED_ExecChange(Sender: TObject);
    procedure ED_StarternameChange(Sender: TObject);
    procedure ExtrasShow(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: boolean);
    procedure HinweisMemoClick(Sender: TObject);
    procedure HomeEinlesenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure HomeGridClick(Sender: TObject);
    procedure HomeGridDrawCell(Sender: TObject; aCol, aRow: Integer; aRect: TRect; aState: TGridDrawState);
    procedure HomeGridPrepareCanvas(sender: TObject; aCol, aRow: Integer; aState: TGridDrawState);
    procedure ID_DSA_PUBClick(Sender: TObject);
    procedure LeoclientShow(Sender: TObject);
    procedure LoeschenGridClick(Sender: TObject);
    procedure PingEditClick(Sender: TObject);
    procedure ProfilSpeichernClick(Sender: TObject);
    procedure StatusShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure UserProfilShow(Sender: TObject);
    procedure VMList_GridClick(Sender: TObject);
    procedure VM_GridDblClick(Sender: TObject);
    procedure VM_GridPrepareCanvas(sender: TObject; aCol, aRow: Integer; aState: TGridDrawState);
    procedure WineShow(Sender: TObject);
    procedure ZeigeAutostartClick(Sender: TObject);
    procedure ZeigeReposClick(Sender: TObject);
  private
    procedure SetSpeicherInfo;
    procedure SetNetzwerkInfo;
    Procedure SetCupsInfo;
    Procedure SetsshdInfo;
    Procedure SetPingList;
    Procedure UpdateBereinigenList;
    Procedure ReadProfileConf;
    Procedure ReadHomeProfile;
    Procedure ReadBereinigenList;
    Procedure SortHomeGrid;
    Procedure HomeGridExpand(Pfad:String);
    Function  GetFileSizeInfo(Pfad : String):String;
    Function  Get_CupsBPIP:String;
    Function  Get_CupsBPZeile:String;
    Procedure IniFileSave;
    Procedure StarterSpeichern(Frage:Boolean);
    procedure StarterAnzeigen(Pfad: String);
    Function  ConfZeilenZaehlen(Pfad : String) : integer;
  public
    { public declarations }
  end;

Const
  Version = '0.27';
  Build   = ' April 2016';
  ConfigFileName     = 'config';    //ggf fürs Programmverzeichnis
  IniFileName        = 'lmlcc.cfg';
  PingFileName       = 'pinglist.cfg';
  BereinigenFileName = 'bereinigenlist.cfg';
  LoeschListFileName = 'loeschlist.cfg';
  Linuxusername      = 'linuxuser';        // lokaler Benutzer

  Programm_sec = 'Programm';
    Linuxadmin_entry = 'linuxadmin';
    Configpfad_entry = 'configpfad';

  Bereinigen_sec   = 'Bereinigen';
    Temp_entry     = 'Temp';
    AptCache_entry = 'AptCache';
    Kernel_entry   = 'AlteKernel';
    L_homes_entry  = 'Lehrerhomes';
    S_homes_entry  = 'Studenthomes';
    VB_bereinigen_entry = 'VorlageBereinigen';
    LoeschListe_entry   = 'LoeschListe';
  Desktop_sec     = 'Desktop';
  Shell_sec       = 'ShellBefehle';
  Pfad_sec        = 'Pfade';

    ClientIP_entry = 'ClientIP';
    Port_entry          = 'Port';
    poorman_entry       = 'poorman';
    balance_entry       = 'Balance Datei';
    ghe_entry           = 'GHE-String';
    log_entry           = 'logDatei';
    AlleErlauben_entry  = 'AlleErlauben';
    debug_entry         = 'debug';

    info_entry         = 'Info';
    Menue_entry        = 'Menue';
    xpos_entry         = 'XPos';
    ypos_entry         = 'Ypos';
    FensterFarbe_entry = 'FensterFarbe';
    FontFarbe_entry    = 'FontFarbe';
    gruen_entry        = 'gruen';
    gelb_entry         = 'gelb';
    rot_entry          = 'rot';
    wineversion_entry  = 'WineVersion';
    wineppa_entry      = 'WinePPA';              procinfo_entry       = 'procinfo';
    wineinstall_entry  = 'WineInstall';          cpuinfo_entry        = 'cpuinfo';
    winestatus_entry   = 'WineStatus';           LehrerLeeren_entry   = 'LehrerLeeren';
    templeeren_entry   = 'tempLeeren';           StudentsLeeren_entry = 'StudentsLeeren';

    hdinfo_entry       ='hdinfo';                treiberinfo_entry    = 'treiberinfo';
    netzinfo_entry     ='netzinfo';              routeinfo_entry      = 'routeinfo';

    suspendPfad_entry  ='suspendPfad';
    DrucknotifierPfad_entry='DrucknotifierPfad';

    DNS_sec            = 'DNS';
    Ziel_entry         = 'DNS-Ziel';
    AnzahlServer_entry = 'AnzahlDNSserver';
    Server_entry       = 'DNSServer';

    Extra_sec          = 'Linuxmuster-client-extras';
    Scriptanzahl_entry = 'Scriptanzahl';
    Script_entry       = 'Script';

    etc_Pfad         = '/etc/linuxmuster-client/profile/';
    config_Pfad      ='/etc/linuxmuster-client/lmlcc/';
    Profile_Pfad     = etc_Pfad + 'profile.conf';
    HomePref_Pfad    = etc_Pfad + 'home-preference.conf';
    Userset_Pfad     = etc_Pfad + 'usersettings.conf';
    Usersetopt_Pfad  = etc_Pfad + 'usersettings-opt.conf';
    LinkList_pfad    = etc_Pfad + 'links.conf';
    ExcludeList_Pfad = etc_Pfad + 'exclude.conf';
    wineuserdel_Pfad = '/etc/linuxmuster-client/post-umount.d/001-wineuserdel';
    rsync_opt        = 'RSYNC_OPTIONS';
    linuxadmin_opt   = 'PROFILE_USER';
    CupsBrowsed_Pfad  = '/etc/cups/cups-browsed.conf';
    CupsPrinters_Pfad = '/etc/cups/printers.conf';
    udevPfad          = '/etc/udev/rules.d/10-hide-devices.rules';
    sshdPfad          = '/etc/ssh/sshd_config';
    ldapconf          = '/etc/ldap.conf';
    Drucknotifier_default ='/opt/drucknotifier/';
    Drucknotifier_CFG = 'drucknotifier.cfg';

    suspendPfad_default    = '/etc/pm/sleep.d/01_disable_suspend';

    wineppa_default     ='xterm -e "/usr/bin/add-apt-repository -y ppa:ubuntu-wine/ppa"';
    wineversion_trusty = '1.7';
    wineinstall_trusty ='xterm -e "/usr/bin/apt-get -y update ; /usr/bin/apt-get -y install wine1.7"';
    winestatus_trusty  ='dpkg -s wine1.7';
    wineversion_xenial = '1.8';
    wineinstall_xenial ='xterm -e "/usr/bin/apt-get -y update ; /usr/bin/apt-get -y install wine1.8"';
    winestatus_xenial  ='dpkg -s wine1.8';

    templeeren_default  ='sh -c "sudo rm -rf /tmp/*"';
    cpuinfo_default    = '/bin/cat /proc/cpuinfo';
    LehrerLeeren_default   = 'sh -c "sudo rm -rf /home/teachers/*"';
    StudentsLeeren_default = 'sh -c "sudo rm -rf /home/students/*"';
    hdinfo_default         = '/sbin/fdisk -l';
    netzinfo_default       = '/sbin/ifconfig';
    treiberinfo_default    = 'lsmod';
    procinfo_default       = '/bin/ps -ejH';
    routeinfo_default      = '/sbin/route';

var
  Mainform: TMainform;
  profile_user         : String;
  basedn               : String;
  urildap              : String;
  rsync_options        : String;
  usersetopt_all       : Boolean;
  PingList, BereinigenList, LoeschList : TStringList;
  IniFilePfad          : String;
  PingListPfad         : String;
  BereinigenListPfad   : String;
  LoeschListPfad       : String;
  DrucknotifierPfad    : String;
  DruckNotifierCFGPfad : String;

  wineversion          : String;
  wineppa_befehl       : String;          LehrerLeeren_befehl   : String;
  wineinstall_befehl   : String;          StudentsLeeren_befehl : String;
  winestatus_befehl    : String;          hdinfo_befehl         : String;
  wineinstall_default  : String;          winestatus_default    : String;
  wineversion_default  : String;
  templeeren_befehl    : String;          netzinfo_befehl       : String;
  cpuinfo_befehl       : String;          treiberinfo_befehl    : String;
  procinfo_befehl      : String;          routeinfo_befehl      : String;

  suspendPfad          : String;

  Profile_mod          :  Boolean;
  HomePref_mod         :  Boolean;
  Userset_mod          :  Boolean;
  Usersetopt_mod       :  Boolean;
  LinkList_mod         :  Boolean;
  ExcludeList_mod      :  Boolean;
  entsperren           :  Boolean;
  Starter_geaendert    :  Boolean;
  CupsBrowsedMessage   :  Boolean;
  CupsPrintersMessage  :  Boolean;
  Startername_alt      :  String;
  ExtraListDatei,ExtraListSymLink, ExtraScripte : TStringList;
  VM_ObsoleteList, VM_SnapshotList : TStringList;
  VMList_Selected : Boolean;


implementation

{$R *.lfm}

procedure TMainform.FormCreate(Sender: TObject);
Var
  Fp,s              : String;
  ConfigFilePfad,u  : String;
  IniFile    : TIniFile;
  n,z,Extra_Scriptanzahl        : integer;
  Datei     : TStringList;
begin
  entsperren := false;
  CupsBrowsedMessage  := True;
  CupsPrintersMessage := True;
  PageControl1.ActivePage:=Status;
  Caption := 'Linuxmuster-Client-Config ' + Version;
  HomeGrid.AllowOutboundEvents:=false;
  PingList       := TStringList.create;
  BereinigenList := TStringList.create;
  LoeschList     := TStringList.create;
  ExtraListDatei   := TStringList.create;
  ExtraListSymLink := TStringList.create;
  ExtraScripte     := TStringList.create;
  VM_ObsoleteList  := TStringList.create;
  VM_SnapshotList  := TStringList.create;
  Fp := ExtractFilePath(Application.ExeName);
  ConfigFilePfad := Fp+ConfigFileName;
  u := GetEnvironmentVariable('USER');
  Datei := TStringList.create;
  Datei.loadfromFile('/etc/lsb-release');
  UbuntuVersion :=0;
  for n := 0 to Datei.Count-1 do
    Begin
      if (pos ('CODENAME', Datei[n])>0) and (pos ('xenial', Datei[n])>0 ) then UbuntuVersion := 16;
      if (pos ('CODENAME', Datei[n])>0) and (pos ('trusty', Datei[n])>0 ) then UbuntuVersion := 14;
    end;
  if UbuntuVersion = 0 then
    ShowMessage('Achtung!'+ret+ret+
                'Die Ubuntu-Version konnte nicht ermittelt werden.'+ret+
                'Der lmlcc arbeitet nur mit Ubuntu 14.04-trusty oder Ubuntu 16.04-xenial korrekt zusammen.');
  if UbuntuVersion =14 then
    Begin
      wineinstall_default := wineinstall_trusty;
      winestatus_default  := winestatus_trusty;
      wineversion_default := wineversion_trusty;
    end;
  if UbuntuVersion =16 then
    Begin
      wineinstall_default := wineinstall_xenial;
      winestatus_default  := winestatus_xenial;
      wineversion_default := wineversion_xenial;
    end;
  if FileExists(ConfigFilePfad) then
    Begin
      IniFile := TIniFile.Create(ConfigFilePfad);
      Try with IniFile do
        Begin
          Fp          := ReadString(Programm_sec,Configpfad_entry,'');

          wineversion              := ReadString(shell_sec,wineversion_entry,wineversion_default);
          wineppa_befehl           := ReadString(shell_sec,wineppa_entry,wineppa_default);
          wineinstall_befehl       := ReadString(shell_sec,wineinstall_entry,wineinstall_default);
          winestatus_befehl        := ReadString(shell_sec,winestatus_entry,winestatus_default);
          templeeren_befehl        := ReadString(shell_sec,templeeren_entry,templeeren_default);
          cpuinfo_befehl           := ReadString(shell_sec,cpuinfo_entry,cpuinfo_default);
          LehrerLeeren_befehl      := ReadString(shell_sec,LehrerLeeren_entry,LehrerLeeren_default);
          StudentsLeeren_befehl    := ReadString(shell_sec,StudentsLeeren_entry,StudentsLeeren_default);

          hdinfo_befehl            := ReadString(shell_sec,hdinfo_entry,hdinfo_default);
          netzinfo_befehl          := ReadString(shell_sec,netzinfo_entry,netzinfo_default);
          treiberinfo_befehl       := ReadString(shell_sec,treiberinfo_entry,treiberinfo_default);
          procinfo_befehl          := ReadString(shell_sec,procinfo_entry,procinfo_default);
          routeinfo_befehl         := ReadString(shell_sec,routeinfo_entry,routeinfo_default);

          suspendPfad              := ReadString(Pfad_sec,suspendPfad_entry,suspendPfad_default);
          DruckNotifierPfad        := ReadString(Pfad_sec,DruckNotifierPfad_entry,DruckNotifier_default);
          DruckNotifierCFGPfad     := DruckNotifierPfad+DruckNotifier_CFG;
        end
      finally
        IniFile.free;
      if (not DirectoryExists(Fp)) or (Fp = '' ) then
        Begin
          if u = 'root' then
            Begin
              if mryes = MessageDlg('Verzeichnis anlegen','Konfigurations-Verzeichnis nicht gefunden:'+ret+Fp+ret+ret+
                         'Soll das Verzeichnis'+ret+Fp+ret+'nun angelegt werden?',mtConfirmation,[mbNo,mbYes],0) then
                 Begin
                   ForceDirectories(Fp);
                   IniFilePfad := Fp+IniFilename;
                   DNS_Ziel := 'www.heise.de'; DNS_AnzahlServer :=0;
                   IniFileSave;
                   PingListPfad := Fp+PingFileName;
                   PingList.add('Internet:,www.heise.de');
                   PingList.add('selbst:,127.0.0.1');
                   PingList.SaveToFile(PingListPfad);
// -------------------------------------------------------------------------------------------
                   BereinigenList.add('.bash_history,löschen');
                   BereinigenList.add('.cache/wine,leeren');
                   BereinigenList.add('.cache/winetricks,leeren');
                   BereinigenList.add('.xsession-errors,löschen');
                   BereinigenList.add('.xsession-errors.old,löschen');
                   BereinigenList.add('.dconf,löschen');
                   BereinigenList.add('.rpmdb,löschen');
                   BereinigenList.add('.gstreamer-0.10,löschen');
                   BereinigenList.add('.local/share/zeitgeist,löschen');
                   BereinigenList.add('.config/XDK,löschen');
                   BereinigenList.add('.gksu.lock,löschen');
// -------------------------------------------------------------------------------------------
                   BereinigenListPfad := Fp+BereinigenFileName;
                   BereinigenList.SaveToFile(BereinigenListPfad);
// -------------------------------------------------------------------------------------------
                   LoeschListPfad := Fp+LoeschListFileName;
                   LoeschList.add('/var/log/syslog.*,löschen');
                   LoeschList.SaveToFile(LoeschListPfad);
                 end;
            end
          else
            begin
              ShowMessage('Konfigurations-Verzeichnis nicht gefunden:'+ret+Fp+ret+ret+
                          'Zum Anlegen des Konfigurations-Verzeichnisses muss'+ret+
                          'das Programm entsperrt werden.');
            end;
        end;
      end;
    end
  else
    Begin
      ShowMessage('Konfigurations-Datei fehlt:'+ret+ConfigFilePfad+ret+ret+'Das Programm speichert nun seine Daten im Programmverzeichnis:'+ret+Fp);
    end;
  IniFilePfad := Fp+IniFilename;
  if FileExists(IniFilePfad) then
    Begin
      IniFile     := TIniFile.Create(IniFilePfad);
      Try with IniFile do
        Begin
          CB_temp.checked          := Boolean(ReadInteger(Bereinigen_sec,Temp_entry,0));
          CB_AptCache.checked      := Boolean(ReadInteger(Bereinigen_sec,AptCache_entry,0));
          CB_L_homes.checked       := Boolean(ReadInteger(Bereinigen_sec,L_homes_entry,0));
          CB_S_homes.checked       := Boolean(ReadInteger(Bereinigen_sec,S_homes_entry,0));
          CB_VB_Bereinigen.checked := Boolean(ReadInteger(Bereinigen_sec,VB_bereinigen_entry,0));
          CB_LoeschListe.checked   := Boolean(ReadInteger(Bereinigen_sec,LoeschListe_entry,0));
          CB_KernelDel.checked     := Boolean(ReadInteger(Bereinigen_sec,Kernel_entry,0));

          DNS_Ziel                 := ReadString(DNS_sec,Ziel_entry,'www.heise.de');
          DNS_AnzahlServer         := ReadInteger(DNS_sec,AnzahlServer_entry,0);

          Extra_Scriptanzahl       := ReadInteger(Extra_sec,ScriptAnzahl_Entry,-1);
          ExtraScripte.clear;
          if Extra_Scriptanzahl = -1 then
            Begin
              Extra_Scriptanzahl := 7;
              ExtraScripte.Append('/usr/bin/set-default-printer');
              ExtraScripte.Append('/usr/bin/setup-italc-rooms');
              ExtraScripte.Append('/usr/bin/create-desktop-icons');
              ExtraScripte.Append('/usr/bin/check-shutdown');
              ExtraScripte.Append('/usr/bin/watch-my-home');
              ExtraScripte.Append('/usr/bin/show-server-information');
              ExtraScripte.Append('/usr/bin/xhost-root');
            end
          else if Extra_Scriptanzahl>0 then
            Begin
              z := 0;
              for n := 1 to Extra_Scriptanzahl do
                Begin
                  s := Trim(ReadString(Extra_sec,Script_entry+IntToStr(n),''));
                  if s <>'' then
                    Begin
                      ExtraScripte.Append(s);
                      inc(z);
                    end;
                end;
              Extra_Scriptanzahl := z;
            end;
          if (DNS_AnzahlServer > 0) then
            Begin
              If DNS_AnzahlServer>10 then DNS_AnzahlServer := 10;
              for n := 1 to DNS_AnzahlServer do
                Begin
                  DNS_Server[n] := readString(DNS_sec,Server_entry+IntToStr(n),'');
                end;
            end;
        end
      finally
        IniFile.free;
      end;
    end
  else
    Begin
      if DirectoryExists(Fp) then ShowMessage('Konfigurations-Datei nicht gefunden:'+ret+IniFilePfad);
    end;
  PingListPfad := Fp+PingFileName;
  if FileExists(PingListPfad) then
    Begin
      PingList.LoadfromFile(PingListPfad);
    end;
  BereinigenListPfad := Fp+BereinigenFileName;
  if FileExists(BereinigenListPfad) then
    Begin
      Bereinigenlist.LoadFromFile(BereinigenListPfad);
    end
  else
    begin
      // Standard ???
    end;
  LoeschListPfad := Fp+LoeschListFileName;
  if FileExists(LoeschListPfad) then
      Begin
        Loeschlist.LoadFromFile(LoeschListPfad);
      end
    else
      begin
        // Standard ???
      end;
  ReadProfileConf;
  StaticText11.caption := 'Vorlagenbenutzer:            '+profile_user;
  UserProfil.caption   := profile_user+' home';
  BTlinuxadmin_Password.caption := profile_user+' Kennwort setzen';
  BTlinuxuser_Password.caption := linuxusername+' Kennwort setzen';
  CB_Wine_Install.caption := 'Wine '+wineversion+ ' installieren';
  Datei.free;
end;

procedure TMainform.FormShow(Sender: TObject);
var
  u : String;
Begin
  u := GetEnvironmentvariable('USER');
  if (u <> 'root') and (u <> profile_user) then
    Begin
      Messagedlg('Achtung!','Das Programm funktioniert nur unter dem'+ret+'Profile-User ('+profile_user+') oder'+ret+
                            'unter dem Benutzer root korrekt.'+ret+ret+
                            'Bitte starten Sie das Programm unter einem dieser Benutzer!',mtWarning,[mbOK],0 );
    end;
end;

procedure TMainform.StatusShow(Sender: TObject);
begin
  if GetEnvironmentVariable('USER') = 'root' then
    Begin
      BTEntsperren.enabled := false;
      BT_HDInfo.enabled    := True;
      BT_Wine_install.enabled := True;
      Caption := 'Linuxmuster-Client-Config ' + Version+ ' (root)';
      BT_Cups_BP.enabled       := True;
      BTVNC_Password.enabled   := True;
      BTroot_Password.enabled  := True;
      if Ubuntuversion <> 16 then ID_DSA_pub.enabled       := True;
      ID_ECDSA_pub.enabled     := True;
      BTlinuxadmin_Password.enabled := True;
      BTlinuxuser_Password.enabled  := True;
      CB_Klartext.enabled           := True;
      BTupdate.enabled              := True;
      BThipernate.enabled           := True;
      BTUDEV.enabled                := True;
      DF_setzen.enabled             := True;
      BT_AddScript.enabled          := True;
      BT_ExtrasSpeichern.enabled    := True;
      Extra_Grid.Enabled            := True;
      BT_Snapshotcreate.enabled     := True;
      BT_Snapshotdelete.enabled     := True;
      BT_SnapshotLoeschen.enabled   := True;
      BT_SnapshotUmbenennen.enabled := True;
      BT_Network_conf.enabled       := True;
      BT_Image_conf.enabled         := True;
      BT_BaseSnapshotrenew.enabled  := True;
      BT_LeoInit.enabled            := True;
      BT_VM_loeschen.enabled        := True;
      BT_pgmadminRegistry.enabled   := True;
      PingEdit.enabled              := True;
    end
  else
    Begin
      Caption := 'Linuxmuster-Client-Config ' + Version;
    end;
  BTRefreshClick(nil);
  if not DirectoryExists('/home/'+linuxusername) then BTlinuxuser_Password.visible  := false;
end;


Procedure TMainForm.ReadprofileConf;
var
  Pfad,Zeile  : String;
  Datei       : TStringList;
  n,p1,p2     : integer;
Begin
  profile_mod := false;
  Pfad := Profile_Pfad;
  profile_user := '???';
  Datei := TStringList.create;
  if FileExists(Pfad) then
      Begin
        Datei.LoadFromFile(Pfad);
        if (Datei.Count>0) then
          Begin
            for n := 0 to Datei.count-1 do
              Begin
                Zeile := Trim(Datei[n]);
                if Pos(linuxadmin_opt,Zeile)=1 then
                  Begin
                    p1 := pos('"',Zeile);
                    p2 := pos('"',Copy(Zeile,p1+1,length(Zeile)-p1));
                    profile_user := Copy(Zeile,p1+1,p2-1);
                    //ShowMessage('Ergebnis:'+profile_user);
                  end;
                if Pos(rsync_opt,Zeile)=1 then
                  Begin
                    p1 := pos('"',Zeile);
                    p2 := pos('"',Copy(Zeile,p1+1,length(Zeile)-p1));
                    rsync_options := Copy(Zeile,p1+1,p2-1);
                    //ShowMessage('Ergebnis:'+rsync_options);
                  end;

              end;
          end;
      end
    else
      begin
        ShowMessage('Fehler:'+ret+'Die Datei'+ret+Pfad+ret+'wurde nicht gefunden!');
      end;
  Datei.free;
end;


procedure TMainform.Timer1Timer(Sender: TObject);
begin
  timer1.enabled := false;
  CB_KernelDel.caption:= 'alte Kernel löschen ('+KernelInfo_sh+')';
end;


procedure TMainform.UserProfilShow(Sender: TObject);
begin
  HomeEinlesenClick(nil);
end;



procedure TMainform.WineShow(Sender: TObject);
var
  t,registry  : TStringlist;
  n,p         : integer;
  wineprocess,wp : String;
  s,sudo,Pfad : String;
  gefunden    : boolean;
begin
  WartenMemo.Visible:=True;
  WartenMemo.Update;
  Pfad := '/home/administrators/pgmadmin/.wine';
  if DirectoryExists(pfad) and (GetEnvironmentVariable('USER') = 'root') then
    Begin
      BT_pgmadminRegistry.enabled := True;
    end
  else
    Begin
      BT_pgmadminRegistry.enabled := False;
    end;
  CB_Registry.caption :='Rechte anpassen, Registry verallgemeinern, von '+profile_user+' und pgmadmin-Einträgen bereinigen';
  t := tStringList.create;
  Registry := TStringList.create;
  if FileExists('/etc/apt/sources.list.d/ubuntu-wine-ppa-trusty.list')
  or FileExists('/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list')then
                                     Begin
                                        CB_wine_repo.Checked := false;
                                        Wine_Log.Append('Info: ppa-Repository existiert schon.');
                                     end
                                   else CB_wine_repo.Checked := true;

  t.text := Befehl_exec(winestatus_befehl);
  for n := 0 to t.count-1 do
    Begin
      if pos('Status:',t[n])=1 then
        begin
          s := trim(copy(t[n],8,length(t[n])-7));
          if s = 'install ok installed' then
            Begin
              Wine_Log.Append('Info: Status von wine '+wineversion+': '+s);
              CB_wine_install.Checked:=false;
            end
          else CB_wine_install.Checked:=true;
          ;
        end;
    end;
  if pos('--links',rsync_options)=0 then cb_wine_rsync.Checked:=true
                                   else
                                     Begin
                                       cb_wine_rsync.Checked:=false;
                                       Wine_Log.Append('Info: RSYNC-OPTION "--links" existiert schon.');
                                     end;
  if FileExists('/home/'+profile_user+'/.wine')  then
                                         Begin
                                           CB_winecfg.Checked := false;
                                           Wine_Log.Append('Info: Verzeichnis "/home/'+profile_user+'/.wine" existiert schon.');
                                         end
                                       else CB_winecfg.Checked := true;

  if FileExists('/home/wine.drive_c')  then
                                         Begin
                                           CB_winehome.Checked := false;
                                           Wine_Log.Append('Info: Verzeichnis "/home/wine.drive_c" existiert schon.');
                                         end
                                       else CB_winehome.Checked := true;
  if FileExists(wineuserdel_pfad)  then
                                     Begin
                                        CB_postumountscript.Checked := false;
                                        Wine_Log.Append('Info: post-umount-Script existiert schon.');
                                     end
                                   else CB_postumountscript.Checked := true;

  gefunden := false;
  CB_mfc42.Checked:=false;
  CB_Registry.checked := false;
  sudo := 'sudo -u '+profile_user+' ';
  wineprocess := Befehl_exec('pgrep wineserver');
  if FileExists('/usr/bin/winetricks') then
    Begin
      WineMemo.visible   := false;
      WartenMemo.visible := True;
      MainForm.Update;
      Pfad := '/home/'+profile_user+'/.wine/user.reg';
      if FileExists(Pfad) then Registry.LoadFromfile(Pfad);
      Application.ProcessMessages;
      t.text := Befehl_exec(sudo+'/usr/bin/winetricks list-installed ');
      //ShowMessage(t.text);
      for n := 0 to t.count-1 do if (pos('mfc42',t[n])=1) then
        Begin
          gefunden := true;;
          Wine_log.append('Info: Die DLL MFC42 ist schon installiert.');
        end;
      WineMemo.visible   := true;
      WartenMemo.visible := false;
      if FileExists(Pfad) and (wineprocess='') then
      Begin
        n :=0;
        Repeat
          wp := Befehl_exec('pgrep wineserver');
          inc(n);
        until (wp='') or (n = 3000);
        Registry.SaveTofile(Pfad);
        //Wine_log.append('Wineserver-Prozess-Count: '+ IntToStr(n));
      end
      else
        if (wineprocess<>'') then ShowMessage('Achtung!'+ret+'Es läuft noch ein Wine-Prozess,'+ret+
                                          'bitte diesen beenden!'  );
    end;
  if not gefunden then CB_mfc42.Checked:=true;
  if (CB_Wine_install.checked or CB_Winecfg.checked or CB_WineHome.checked or
      CB_mfc42.checked)then
    Begin
      CB_Registry.checked := true;
    end
  else
    Begin
      CB_Registry.checked := false;
      Pfad := '/home/'+profile_user+'/.wine/user.reg';
      if FileExists(Pfad) then
        Begin
          Registry.LoadFromfile(Pfad);
          p := pos('c:\\users\\'+profile_user+'\\',lowercase(Registry.text));
          if p>0 then CB_Registry.checked := true;
        end;
      Pfad := '/home/'+profile_user+'/.wine/userdef.reg';
      if FileExists(Pfad) then
        Begin
          Registry.LoadFromfile(Pfad);
          p := pos('c:\\users\\'+profile_user+'\\',lowercase(Registry.text));
          if p>0 then CB_Registry.checked := true;
        end;
    end;
  t.free;
  Registry.free;
  WineMemo.visible:=True;
  WartenMemo.visible:=false;
end;

procedure TMainform.ZeigeAutostartClick(Sender: TObject);
begin
  AutostartForm.ED_homeautostart.Text := '/home/'+profile_user+'/.config/autostart';
  AutostartForm.ShowModal;
end;

procedure TMainform.ZeigeReposClick(Sender: TObject);
begin
  RepoForm1.ShowModal;
end;

Procedure TMainForm.IniFileSave;
Var
  IniFile  : TIniFile;
  n        : integer;
Begin
  IniFile := TIniFile.create(IniFilePfad);
      Try with IniFile do
        Begin
          WriteInteger(Bereinigen_sec,Temp_entry,Integer(CB_temp.checked));
          WriteInteger(Bereinigen_sec,AptCache_entry,Integer(CB_AptCache.checked));
          WriteInteger(Bereinigen_sec,Kernel_entry,Integer(CB_KernelDel.checked));
          WriteInteger(Bereinigen_sec,L_homes_entry,Integer(CB_L_homes.checked));
          WriteInteger(Bereinigen_sec,S_homes_entry,Integer(CB_S_homes.checked));
          WriteInteger(Bereinigen_sec,VB_bereinigen_entry,Integer(CB_VB_Bereinigen.checked));
          WriteInteger(Bereinigen_sec,LoeschListe_entry,Integer(CB_LoeschListe.checked));

          WriteString (DNS_sec,Ziel_entry,DNS_Ziel);
          WriteInteger(DNS_sec,AnzahlServer_entry,DNS_AnzahlServer);

          if (DNS_AnzahlServer > 0) then
            Begin
              for n := 1 to DNS_AnzahlServer do
                Begin
                   WriteString(DNS_sec,Server_entry+IntToStr(n),DNS_Server[n]);
                end;
            end;
          if ExtraScripte.Count>0 then
            Begin
              WriteInteger(Extra_sec,ScriptAnzahl_Entry,ExtraScripte.count);
              for n := 0 to ExtraScripte.Count-1 do
                Begin
                  WriteString(Extra_sec,Script_Entry+IntToStr(n+1),ExtraScripte[n]);
                end;
            end;
        end
      finally
        IniFile.free;
      end;
end;

procedure TMainform.FormCloseQuery(Sender: TObject; var CanClose: boolean);
begin
  if GetEnvironmentVariable('USER')='root' then
    Begin
      IniFileSave;
  //If (LoeschList.count > 0) then
      Begin
        LoeschList.saveToFile(LoeschListPfad);
      end;

  //If (BereinigenList.count > 0) then
      Begin
        BereinigenList.saveToFile(BereinigenListPfad);
      end;

  if ProfilSpeichern.enabled = True then
      Begin
        if MessageDlg('Profileinstellungen',
                      'Die Profileinstellungen wurden geändert'+ret+
                      'und noch nicht gespeichert.'+ret+
                      'Wollen Sie die Profildateien jetzt aktualisieren?',
                      mtConfirmation,[mbYes, mbNo],0) = mrYes then
         Begin
           ProfilSpeichernClick(nil);
         end;
      end;
    end
  else
    begin
      if not entsperren then ShowMessage('Das Programm wurde nicht entsperrt,'+ret+'Änderungen werden nicht gespeichert.');

    end;
  PingList.free;
  LoeschList.free;
  BereinigenList.free;
  ExtraListDatei.free;
  ExtraListSymlink.free;
  ExtraScripte.free;
  VM_ObsoleteList.free;
  VM_SnapshotList.free;
  canclose := True;
end;

procedure TMainform.HinweisMemoClick(Sender: TObject);
begin
  ShowMessage(ResourceVersionInfo);
end;

procedure TMainform.BeendenClick(Sender: TObject);
begin
  Close;
end;


procedure TMainform.BereinigenShow(Sender: TObject);
var
  n     : integer;
  Zeile : TStringList;
begin
  if (GetEnvironmentVariable('USER')='root') then BT_Bereinigen.enabled := True;
  LoeschenGrid.ColWidths[1]:=100;
  LoeschenGrid.ColWidths[2]:=100;
  LoeschenGrid.ColWidths[0]:=LoeschenGrid.width-200-2;
  LoeschenGrid.Cells[0,0]:='Pfad';
  LoeschenGrid.Cells[1,0]:='Größe';
  LoeschenGrid.Cells[2,0]:='Aktion';
  if LoeschList.Count>0 then
    Begin
      LoeschenGrid.rowCount := LoeschList.count+1;
      Zeile := TStringList.create;
      for n := 1 to LoeschList.Count do
        Begin
          Zeile.Commatext := LoeschList[n-1];
          if Zeile.count = 2 then
            Begin
              LoeschenGrid.cells[0,n] := Zeile[0];
              LoeschenGrid.cells[2,n] := Zeile[1];
            end;
          if Zeile.count = 1 then
            Begin
              LoeschenGrid.cells[0,n] := Zeile[0];
              LoeschenGrid.cells[2,n] := '';
            end;
          LoeschenGrid.cells[1,n] := FormatFloat('#0.##',du_MB(Zeile[0]))+' MB';
        end;
      Zeile.free
     end
  else
    Begin
      LoeschenGrid.RowCount:=1;
    end;
  CB_temp.caption     := '/tmp löschen ('+FormatFloat('#0.##',du_MB('/tmp'))+' MB)';
  CB_AptCache.caption := 'apt-cache löschen ('+FormatFloat('#0.##',du_MB('/var/cache/apt/archives'))+' MB)';
  CB_KernelDel.caption:= 'alte Kernel löschen';
  CB_L_Homes.caption  := 'lokale Lehrer-homes löschen ('+FormatFloat('#0.##',du_MB('/home/teachers/*'))+' MB)';
  CB_S_Homes.caption  := 'lokale Schüler-homes löschen ('+FormatFloat('#0.##',du_MB('/home/students/*'))+' MB)';
  Timer1.enabled := True;
end;

procedure TMainform.BTBereinigenListEditClick(Sender: TObject);
var
  n,m         : Integer;
  Pfad,Aktion : String;
  PfadNeu     : Boolean;
  NeuList     : TStringList;
  Zeile       : TStringList;
begin
  ListeEditForm.LoeschList := LoeschList;
  ListeEditForm.ShowModal;
  If ListeEditForm.OKEdit then
    Begin
      if ListeEditForm.LoeschenGrid.RowCount>1 then
        Begin
          Neulist := TStringList.create;
          Zeile   := TStringList.create;
          for n := 1 to ListeEditForm.LoeschenGrid.RowCount-1 do
            Begin
              Pfad := Trim(ListeEditForm.LoeschenGrid.cells[0,n]);
              if Pfad <>'' then
                Begin
                  PfadNeu := True;
                  if Neulist.count>1 then
                    Begin
                      for m := 0 to NeuList.count-1 do
                        Begin
                          if (Pfad = Neulist[m]) then PfadNeu := false;
                        end;
                    end;
                  if Pfadneu then
                    Begin
                      Aktion := 'keine';
                      for m := 0 to LoeschList.count-1 do
                        Begin
                          Zeile.commatext := Loeschlist[m];
                          if (Pfad = Zeile[0]) then
                            Begin
                              if Zeile.count=2 then Aktion := Zeile[1];
                            end;
                        end;
                      Neulist.Add(Pfad+','+Aktion);
                    end;
                end;
            end;
          LoeschList.text := Neulist.text;
          NeuList.free;
          Zeile.free;
        end;
    end;
  BereinigenShow(nil);
end;

procedure TMainform.BTEntsperrenClick(Sender: TObject);
Const
  mg = '"Linuxmuster Client Config - lmlcc'+ret+ret+'Bitte geben Sie zum Entsperren Ihr Kennwort ein.'+ret+
       'Dann gehts weiter ..."';
var
    AProcess : TProcess;
    FP : String;
begin
    entsperren := true;
    AProcess := TProcess.Create(nil);
    FP := Application.ExeName;
    AProcess.CommandLine := 'gksudo -k -m '+mg+' '+FP;
    AProcess.Execute;
    AProcess.Free;
    close;
end;

procedure TMainform.BTHipernateClick(Sender: TObject);
Var
  Pfad : String;
begin
  Pfad := suspendPfad;
  if FileExists(Pfad) then
    Begin
      HipernateForm.synedit1.Lines.LoadFromFile(Pfad);
      if HipernateForm.ShowModal = mrok then
        Begin
          HipernateForm.synedit1.Lines.SaveToFile(Pfad);
        end;
    end
  else
    Begin
      if mryes = MessageDLG('Suspend-Modus','Das zugehörige Script fehlt:'+ret+Pfad+ret+
               'Bitte lesen Sie die Dokumentation auf www.linuxmuster.net.'+ret+ret+
               'Soll eine leere Datei für das Script angelegt werden?',mtConfirmation,[mbyes,mbno],0)
    then
      Begin
        Befehl_exec('/bin/touch '+Pfad);
        ShowMessage('Leere Datei'+ret+Pfad+ret+'wurde angelegt.');
      end;
    end;
end;

procedure TMainform.BTRefreshClick(Sender: TObject);
begin
  SetNetzwerkInfo;
  SetSpeicherinfo;
  SetPingList;
  SetCupsInfo;
  SetsshdInfo;
  Ubuntutext.font.color:=cldefault;
  if UbuntuVersion =14 then      UbuntuText.caption := 'Ubuntu 14.04 - trusty'
  else if UbuntuVersion =16 then UbuntuText.caption := 'Ubuntu 16.04 - xenial'
  else
    Begin
      UbuntuText.font.Color:=clRed;
      UbuntuText.caption := 'Ubuntu: nicht unterstützte Version';
    end;
end;

procedure TMainform.BTroot_passwordClick(Sender: TObject);
var
    PW,N     : String;
    Klartext : Boolean;
    t        : Integer;
begin
  Klartext := not CB_Klartext.checked;
  t := (Sender as TButton).tag;
  if t = 0 then N := 'root';
  if t = 1 then N := profile_user;
  if t = 2 then N := 'linuxuser';
  if InputQuery(N+'-Kennwort setzen','Bitte geben Sie das neue '+N+'-Kennwort ein:',Klartext,PW) then
    Begin
      if (PW <> Trim(PW)) then ShowMessage('Das Kennwort enthält nicht darstellbare Zeichen, bitte neu eingeben.')
      else Befehl_exec('sh -c "echo '+N+':'+PW+' | chpasswd"');
    end;
end;

procedure TMainform.BTUDEVClick(Sender: TObject);
Const
    Pfad = udevPfad;
Var
      a : Integer;
begin
  if FileExists(Pfad) then
    Begin
      NautilusForm.synedit1.Lines.LoadFromFile(Pfad);
      if NautilusForm.ShowModal = mrok then
        Begin
          a := MessageDLG('UDEV-Regeln','Die Regeln werden nun gespeichert,'
                          +ret+'sollen diese jetzt auch aktiviert werden?'+ ret+ret+
                          'Ja-aktivieren'+ret+'Nein-nicht aktivieren',
                          mtConfirmation,[mbYes,mbNo,mbabort],0);
          if a = mrabort then
            Begin
              ShowMessage('Neue Regeln wurden nicht gespeichert.');
            end
          else
             NautilusForm.synedit1.Lines.SaveToFile(Pfad);
             if a = mryes then
               Begin
                 Befehl_exec('sh -c "/bin/udevadm control --reload"');
                 Befehl_exec('sh -c "/bin/udevadm trigger"');
               end;
          end;
     end
  else
   if mryes = MessageDLG('UDEV-Rules','Das zugehörige Script fehlt:'+ret+Pfad+ret+
                'Bitte lesen Sie die Dokumentation auf www.linuxmuster.net.'+ret+ret+
                'Soll eine leere Datei für das Script angelegt werden?',mtConfirmation,[mbyes,mbno],0)
     then
       Begin
         Befehl_exec('/bin/touch '+Pfad);
         ShowMessage('Leere Datei'+ret+Pfad+ret+'wurde angelegt.');
       end;
end;

procedure TMainform.BTUpdateClick(Sender: TObject);
begin
  if mryes = MessageDLG('1. Schritt','Paketlisten werden nun aktualisiert.',mtConfirmation,[mbyes,mbabort],0)
    then
      Begin
        Befehl_exec('xterm -e "/usr/bin/apt-get -y update"');
        if mryes = MessageDLG('2. Schritt','Dist-Upgrade wird durchgeführt (kann dauern).',mtConfirmation,[mbyes,mbabort],0)
           then Befehl_exec('xterm -e "/usr/bin/apt-get -y dist-upgrade"');
      end;
end;

procedure TMainform.BTVNC_PasswordClick(Sender: TObject);
var
    AProcess : TProcess;
    PW       : String;
    Klartext : Boolean;
begin
  Klartext := not CB_Klartext.checked;
  if InputQuery('VNC-Passwort setzen','Bitte geben Sie das neue VNC-Passwort ein:',Klartext,PW) then
    Begin
      PW:=Trim(PW);
      AProcess := TProcess.Create(nil);
      AProcess.CommandLine := 'x11vnc -storepasswd '+PW+' /etc/x11vnc.pass';
      AProcess.Execute;
      AProcess.Free;
    end;
end;




procedure TMainform.BT_BereinigenClick(Sender: TObject);
Var
  Befehl,s : String;
  Pfad     : String;
  n        : integer;
  Zeile    : TStringList;
begin
  BereinigenLog.Clear;
  Zeile := TStringList.create;
  if CB_temp.Checked then
    Begin
      Befehl_exec(templeeren_befehl);
      BereinigenLog.Append('... Verzeichnis Leeren: /tmp');
    end;
  if CB_aptcache.Checked then
    Begin
      Befehl := 'sudo apt-get clean';
      s := Befehl_exec(Befehl);
      //ShowMessage(s);
      BereinigenLog.Append('# '+Befehl);
    end;
  if CB_Kerneldel.Checked then
    Begin
      s := KernelDel_sh;
      BereinigenLog.Append('... alte Kernel löschen: '+s);
    end;
  if CB_L_homes.Checked then
    Begin
      Befehl_exec(LehrerLeeren_befehl);
      BereinigenLog.Append('... Verzeichnis Leeren: /home/teachers');
    end;
  if CB_S_Homes.Checked then
    Begin
      Befehl_exec(StudentsLeeren_befehl);
      BereinigenLog.Append('... Verzeichnis Leeren: /home/students');
    end;
  if CB_VB_Bereinigen.Checked then
    Begin
      BereinigenLog.Append('... Vorlagenbenutzer bearbeiten');
      for n := 0 to bereinigenlist.count-1 do
        Begin
          Zeile.commatext := Bereinigenlist[n];
          if Zeile.count =2 then
            Begin
              Pfad := '/home/'+profile_user+'/'+Zeile[0];
              Befehl :='';
              if Zeile[1] = 'löschen' then
                Begin
                  Befehl := 'sudo rm -rf '+Pfad;
                  Befehl_exec('sh -c "'+Befehl+'"');
                end
              else if Zeile[1] = 'leeren' then
                Begin
                  if DirectoryExists(Pfad) then
                    Begin
                      DeleteDirectory(Pfad,true);
                      BereinigenLog.Append('   ... Verzeichnis leeren: '+Pfad);
                    end
                  else
                    begin
                      BereinigenLog.Append('   ... Verzeichnis existiert nicht: '+Pfad);
                    end;
                end
              else if Zeile[1] = 'Dir-anlegen' then
                Begin
                  Befehl := 'sudo mkdir -p '+Pfad;
                  Befehl_exec(Befehl);
                end
              else if Zeile[1] = 'File-anlegen' then
                Begin
                  Befehl := '/bin/touch '+Pfad;
                  Befehl_exec(Befehl);
                 end;
              If Befehl <> '' then BereinigenLog.Append('   # '+Befehl);
            end;
        end;

    end;
  if CB_Loeschliste.Checked then
    Begin
      BereinigenLog.Append('... Datei-Liste bearbeiten:');
      for n := 0 to loeschlist.count-1 do
        Begin
          Zeile.commatext := Loeschlist[n];
          if Zeile.count =2 then
            Begin
              Befehl :='';
              if Zeile[1] = 'löschen' then
                Begin
                  Befehl := 'sudo rm -rf '+Zeile[0];
                  Befehl_exec('sh -c "'+Befehl+'"');
                end
              else if Zeile[1] = 'leeren' then
                Begin
                  if DirectoryExists(Zeile[0]) then
                    Begin
                      DeleteDirectory(Zeile[0],true);
                      BereinigenLog.Append('   ... Verzeichnis leeren: '+Zeile[0]);
                    end
                  else
                    begin
                      BereinigenLog.Append('   ... Verzeichnis existiert nicht: '+Zeile[0]);
                    end;
                end
              else if Zeile[1] = 'Dir-anlegen' then
                Begin
                  Befehl := 'sudo mkdir -p '+Zeile[0];
                  Befehl_exec(Befehl);
                end
              else if Zeile[1] = 'File-anlegen' then
                Begin
                  Befehl := '/bin/touch '+Zeile[0];
                  Befehl_exec(Befehl);
                 end;
              If Befehl <> '' then BereinigenLog.Append('   # '+Befehl);
            end;
        end;
    end;
  Zeile.free;
  BereinigenShow(nil);
end;

procedure TMainform.BT_CupsBPClick(Sender: TObject);
Var
  Datei : TStringList;
  Zeile : String;
  n,z,l : Integer;
begin
  Datei := TStringList.create;
  z := -1;
  l := -1;
  if fileExists(CupsBrowsed_Pfad) then
    Begin
      Datei.LoadFromFile(CupsBrowsed_Pfad);
      for n := 0 to Datei.count-1 do
        begin
          Zeile := lowercase(Trim(Datei[n]));
          if Pos('browsepoll',Zeile)=1 then
            Begin
              z := n;
            end
          else if (Pos('browsepoll',Zeile)>1) then
            Begin
              l := n;
            end;
        end;
      if (z <> -1) then
        Begin
          Datei[z] := ED_CupsBPneu.text;
          Datei.SaveToFile(CupsBrowsed_Pfad);
          SetCupsInfo;
        end
      else
        begin
          Datei.insert(l+1,ED_CupsBPneu.text);
          Datei.SaveToFile(CupsBrowsed_Pfad);
          SetCupsInfo;
        end;
    end
  else
    begin
      ShowMessage('Die Datei'+ret+CupsBrowsed_Pfad+ret+'konnte nicht gefunden'+ret+'und nicht geändert werden!');
    end;
  Datei.free;
end;


procedure TMainform.DesktopShow(Sender: TObject);
Var
  Pfad,pu,x : String;
  a,b       : integer;
  ok        : Boolean;
begin
  ok := false;
  pu := profile_user;
  if (pu = '') or (pu='???') then
    Begin
      x := GetEnvironmentVariable('XAUTHORITY'); // normaler Aufbau: /home/linuxadmin/.Xauthority
      a := pos('/home',x);
      b := pos('/.Xauthority',x);
      if (a=1) and (b>7) then
        Begin
          pu := Copy(x,a+6,b-7);
        end;
    end;
  Pfad := '/home/'+pu+'/Schreibtisch';
  if DirectoryExists(Pfad) then
    begin
      ED_desktoppfad.text := Pfad;
      ok := True;
    end;
  Pfad := '/home/'+pu+'/Desktop';
  if DirectoryExists(Pfad) then
    Begin
      ED_desktoppfad.text := Pfad;
      ok := true;
    end;
  if not OK then ShowMessage('Achtung!'+ret+ret+'Das Desktop-Verzeichnis konnte nicht ermittelt werden!'+ret+
                              'Bitte selbst festlegen.');
  Desktop_Grid.Cells[1,0] := 'Name (Datei)';
  Desktop_Grid.Cells[2,0] := 'Programm (Exec=)';
  Desktop_Grid.ColWidths[0] := 20;
  Desktop_Grid.ColWidths[1] := 200;
  Desktop_Grid.ColWidths[2] := Desktop_Grid.Width-239;
  BT_desktopClick(nil);
end;



procedure TMainform.BT_desktopClick(Sender: TObject);
var
  Found,n,m : Integer;
  p1,p2     : Integer;
  SearchRec : TSearchRec;
  Pfad      : String;
  Datei     : TStringList;
begin
  Datei := TStringList.create;
  Pfad := ED_desktoppfad.text;
  Found := FindFirst(Pfad+'/*', faDirectory, SearchRec);
  n := 1;
  Desktop_Grid.RowCount :=n+1;

  while Found = 0 do
    begin
      if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') and ( pos ('.desktop',SearchRec.Name)>0) then
        Begin
          Desktop_Grid.Cells[1,n] := SearchRec.Name;
          Desktop_Grid.cells[0,n] := IntToStr(n);
          if Fileexists(Pfad+'/'+SearchRec.Name) then
            Begin
                  Datei.loadfromfile(Pfad+'/'+SearchRec.Name);
                  For m := 0 to Datei.count-1 do
                    Begin
                      p1 := pos('Exec=',Datei[m]);
                      if (p1=1) then
                        Begin
                          Desktop_Grid.Cells[2,n] := Trim(Copy(Datei[m],6,length(Datei[m])-5));
                          Break;
                        end;
                    end;
            end;
          inc(n);
          Desktop_Grid.RowCount :=n+1;
        end;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
  Desktop_Grid.RowCount :=n;
  Datei.free;
  Desktop_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goSmoothScroll];
end;



procedure TMainform.BT_erstellenClick(Sender: TObject);
begin
  if Starter_geaendert then StarterSpeichern(true);
  Starter_geaendert := false;
  ED_StarterName.text := '';
  ED_DateiName.text   := '';
  ED_Exec.text        := '';
  ED_Icon.text        := '';
  ED_Comment.text     := '';
  CB_Startup.checked  := True;
  CB_Terminal.checked := false;
  ED_Type.text        := 'Application';
  Starter_memo.lines.Clear;
  Desktop_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goSmoothScroll];
  Starter_geaendert := false;
  Desktop_Panel.enabled := True;
end;

procedure TMainform.BT_StarterVorlageClick(Sender: TObject);
begin
  Starter_OpenDialog.Filename:='';
  Starter_OpenDialog.InitialDir:='/usr/share/applications';
  if Starter_OpenDialog.Execute then
  Begin
    StarterAnzeigen(Starter_OpenDialog.Filename);
    Starter_geaendert := True;
    Desktop_Panel.enabled:=True;
    Desktop_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goSmoothScroll];
  end;
end;


procedure TMainform.BT_VorlageUserClick(Sender: TObject);
begin
  Starter_OpenDialog.Filename:='';
  Starter_OpenDialog.InitialDir:='/home/'+profile_user+'/.local/share/applications';
  if Starter_OpenDialog.Execute then
  Begin
    StarterAnzeigen(Starter_OpenDialog.Filename);
    Starter_geaendert := True;
    Desktop_Panel.enabled:=True;
    Desktop_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goSmoothScroll];
  end;
end;

procedure TMainform.Desktop_GridClick(Sender: TObject);
var
  Col, Row : Integer;
  Pfad : String;
begin
  If Starter_geaendert then  StarterSpeichern(true);
  Desktop_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goRangeSelect,goRowSelect,goSmoothScroll];
  Col := Desktop_Grid.Col;
  Row := Desktop_Grid.Row;
  Desktop_Grid.Selection:=Rect(0,row,2,row);
  Pfad := ED_DesktopPfad.text+'/'+Desktop_Grid.cells[1,row];
  StarterAnzeigen(Pfad);
  Starter_geaendert := false;
  Desktop_Panel.enabled := True;
end;

procedure TMainform.BT_Exec_suchenClick(Sender: TObject);
begin
  Starter_OpenDialog.Filename:='';
  Starter_OpenDialog.InitialDir:='/usr/bin';
  if Starter_OpenDialog.Execute then
  Begin
    ED_Exec.text := Starter_OpenDialog.FileName;
    Starter_geaendert := True;
  end;
end;


procedure TMainform.ExtrasShow(Sender: TObject);
var
  n       : integer;
  Warnung, Pfad : String;
begin
  Extra_Grid.Cells[1,0] := 'Symbolic Link / Datei';
  Extra_Grid.Cells[2,0] := 'Ziel-Script';
  Extra_Grid.ColWidths[0] := 20;
  Extra_Grid.ColWidths[1] := 255;
  Extra_Grid.ColWidths[2] := Extra_Grid.Width-298;

  Pfad  := '/etc/linuxmuster-client/extras/login-enabled';
  If not FileExists(Pfad) then
     Begin
      ShowMessage('Das Verzeichnis'+ret+Pfad+ret+'wurde nicht gefunden.'+ret+
                  'Ggf. ist das Paket "linuxmuster-client-extras" '+ret+'nicht installiert.');
    end;
  Warnung := '';
  for n := 0 to ExtraScripte.count-1 do
    Begin
      Pfad := ExtraScripte[n];
      if Not FileExists(Pfad) then Warnung := Warnung + Pfad + ret;
    end;
  if Warnung <>'' then
    Begin
      ShowMessage('Achtung!'+ret+ret+'Die folgenden Scripte wurden nicht gefunden:'+ret+ret+Warnung);
    end;
  BT_ExtraAktualisierenClick(nil);
end;



procedure TMainform.BT_ExtraAktualisierenClick(Sender: TObject);
  var
    Liste, Zeile : TStringList;
    Pfad,s       : String;
    n,m,p        : integer;
    Found        : Integer;
    SearchRec : TSearchRec;

    keinLink, vorhanden, Leerzeichen     : Boolean;
  begin
    Liste := TStringList.create;
    Zeile := TStringList.create;
    Pfad  := '/etc/linuxmuster-client/extras/login-enabled';
    Extra_Grid.RowCount :=2;
    keinLink := false;
    Leerzeichen := false;
    ExtraListDatei.Clear;
    ExtraLIstSymLink.Clear;
    if FileExists(Pfad) then
      begin
        Found := FindFirst(Pfad+'/*', faDirectory or faSymlink , SearchRec);
        n := 1;
        while Found = 0 do
          begin
            if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
              Begin
                Extra_Grid.Cells[1,n] := SearchRec.Name;
                Extra_Grid.cells[0,n] := IntToStr(n);
                Liste.text := Befehl_exec('ls -l "'+Pfad+'/'+SearchRec.Name+'"');
                Split(' ',Liste[0],Zeile);
                if (Zeile[0][1]='l')  and (Zeile.count>11) then Leerzeichen := True;
                if (Zeile[0][1]<>'l') and (Zeile.count>9)  then Leerzeichen := True;
                if Zeile[0][1]='l' then
                  Begin
                    Extra_Grid.Cells[2,n] := Zeile[Zeile.count-1];
                  end
                else
                  begin
                    Extra_Grid.Cells[2,n] := '';
                    keinLink := True;
                  end;
                ExtraListDatei.Append(Extra_Grid.Cells[1,n]);
                ExtraListSymLink.Append(Extra_Grid.Cells[2,n]);
                inc(n);
                Extra_Grid.RowCount :=n+1;
              end;
            Found := FindNext(SearchRec);
          end;
        FindClose(SearchRec);
        Extra_Grid.RowCount :=n;
        if Extra_Grid.rowcount >2 then     // Sortieren
          Begin
            for n := 1 to Extra_Grid.rowcount-2 do
              for m := n to Extra_Grid.rowcount-1 do
                Begin
                  if (Extra_Grid.Cells[1,n] > Extra_Grid.Cells[1,m]) then
                    Begin
                      s := Extra_Grid.Cells[1,n] ; Extra_Grid.Cells[1,n] := Extra_Grid.Cells[1,m] ; Extra_Grid.Cells[1,m] := s;
                      s := Extra_Grid.Cells[2,n] ; Extra_Grid.Cells[2,n] := Extra_Grid.Cells[2,m] ; Extra_Grid.Cells[2,m] := s;
                      s := ExtraListdatei[n-1]   ; ExtraListdatei[n-1]   := ExtraListdatei[m-1]   ; ExtraListdatei[m-1]   := s;
                      s := ExtraListSymLink[n-1] ; ExtraListSymLink[n-1] := ExtraListSymLink[m-1] ; ExtraListSymLink[m-1] := s;
                    end;
                end;
          end;
        if Leerzeichen then ShowMessage('Achtung!'+ret+ret+'Die Dateinamen enthalten scheinbar Leerzeichen.'+ret+
                                            'Solche Dateien werden u.U. leider nicht korrekt angezeigt'+ret+
                                            'oder können hier nicht bearbeitet werden.'+ret+
                                            'Sie sollten die Dateien entsprechend umbenennen!');

      end
    else
      begin
        Extra_Grid.RowCount := 1;
      end;
    for n := 0 to ExtraScripte.count-1 do
      Begin
        vorhanden := false;
        for m := 1 to Extra_Grid.RowCount-1 do
          Begin
            if ExtraScripte[n] = Extra_Grid.Cells[2,m] then vorhanden := true;
          end;
        if not vorhanden then
          begin
            p:= Extra_Grid.RowCount;
            Extra_Grid.RowCount := p+1;
            Extra_Grid.cells[0,p] := '';
            Extra_Grid.Cells[1,p] := '';
            Extra_Grid.Cells[2,p] := ExtraScripte[n];
            ExtraListDatei.Append('');
            ExtraListSymLink.Append(Extra_Grid.Cells[2,p]);
          end;
      end;
    if keinLink then ST_Linkwarnung.visible:=True
                else ST_Linkwarnung.visible:=false;
    for n := 1 to Extra_Grid.RowCount-1 do
      Begin
        if not FileExists(Extra_Grid.Cells[2,n]) then Extra_Grid.Cells[2,n]:=Extra_Grid.Cells[2,n]+'   ???';
      end;
    Liste.free;
    Zeile.free;
end;


procedure TMainform.BT_AddScriptClick(Sender: TObject);
var
  Aufnehmen : Boolean;
  Pfad      : String;
begin
  if ScriptwahlForm.ShowModal = mrOK then
    Begin
      Aufnehmen := True;
      Pfad := Trim(ScriptWahlForm.ED_Script.text);
      if not FileExists(Pfad) then
        Begin
          if mrno = MessageDlg('Script aufnehmen','Das Script wurde nicht gefunden:'+ret+ret+
                         Pfad+ret+ret+'Soll das Script trotzdem aufgenommen werden?',mtConfirmation,[mbNo,mbYes],0)
             then Aufnehmen := false;
        end;
      if Aufnehmen then ExtraScripte.Append(Pfad);
    end;
  BT_ExtraAktualisierenClick(nil);
end;



procedure TMainform.BT_ExtrasSpeichernClick(Sender: TObject);
Const
    Pfad = '/etc/linuxmuster-client/extras/login-enabled/';
Var
  n,m,p    : integer;
  neu,alt  : String;
  Leerzeichen : Boolean;
begin
  for n := 1 to Extra_Grid.RowCount-1 do
    Begin
      alt := (ExtraListDatei[n-1]);
      neu := (Extra_Grid.Cells[1,n]);
      if Trim(neu)='' then neu := '';
      p:= pos(' ',neu);
      Leerzeichen := false;
      While p>0 do
        Begin
          Leerzeichen := True;
          Neu[p] := '_';
          p:= pos(' ',neu);
        end;
      if Leerzeichen then ShowMessage('Achtung!'+ret+ret+'Leerzeichen wurden durch Unterstrich ersetzt!');
      if (neu='') and (alt = '') and (Trim(Extra_Grid.Cells[2,n])='') then
        Begin
          for m := 0 to ExtraScripte.Count-1 do
            Begin
              if (ExtraScripte[m] = ExtraListSymLink[n-1]) then
                Begin
                  ExtraScripte.Delete(m);
                  break;
                end;
            end;
        end
      else if (neu='') and (alt <> '') then
        Begin
          Befehl_Exec('rm -f "'+Pfad+alt+'"');
          //ShowMessage('rm -f "'+Pfad+alt+'"');
        end
      else if (neu <> '') and (alt = '') then
        Begin
          Befehl_Exec('ln -sf "'+ExtraListSymLink[n-1]+'" "'+Pfad+neu+'"');
        end
      else if (neu<>alt) then
        Begin
          Befehl_Exec('mv -f "'+Pfad+alt+'" "'+Pfad+neu+'"');
        end;
    end;
  BT_ExtraAktualisierenClick(nil);
end;

procedure TMainform.BT_Icon_suchenClick(Sender: TObject);
begin
  Starter_OpenPictureDialog.Filename:='';
  Starter_OpenPictureDialog.InitialDir:='/usr/share/icons';
  if Starter_OpenPictureDialog.execute then
    Begin
      Ed_Icon.text := Starter_OpenPictureDialog.FileName;
      Starter_geaendert := True;
    end;
end;



procedure TMainform.StarterAnzeigen(Pfad: String);
Const
    Desktop_Sec = 'Desktop Entry';
    Name_Entry  = 'Name';
    Namede_Entry  = 'Name[de]';
    Exec_Entry  = 'Exec';
    Comment_Entry   ='Comment';
    Commentde_Entry ='Comment[de]';
    Icon_Entry      = 'Icon';
    Type_Entry      = 'Type';
    Startup_Entry   ='StartupNotify';
    Terminal_Entry  = 'Terminal';
Var
  Datei        : TStringList;
  StarterFile  : TIniFile;
  n,L          : integer;
  Zeile,s      : String;
  zloesch      : Boolean;
Begin
  Datei := TStringList.Create;
  if FileExists(Pfad) then
    Begin
      Datei.LoadFromFile(Pfad);
      if Pos('[Desktop Entry]',Datei.Text)<>1 then Showmessage('Die Syntax des Desktop-Starters ist inkorrekt.'+ret+
                               'Die Optionen werden versuchsweise ermittelt.')
         else Datei.Delete(0);
      ED_DateiName.text   := ExtractFileName(Pfad);
      StarterFile := TIniFile.Create(Pfad);
      Try with StarterFile do
        Begin
          ED_StarterName.text := ReadString(Desktop_Sec,Name_Entry,'');
          if (ReadString(Desktop_Sec,Namede_Entry,'')<>'') then  ED_StarterName.text := ReadString(Desktop_Sec,Namede_Entry,'');
          ED_Exec.text        := ReadString(Desktop_Sec,Exec_Entry,'');
          ED_Comment.text     := ReadString(Desktop_Sec,Comment_Entry,'');
          if (ReadString(Desktop_Sec,Commentde_Entry,'')<>'') then  ED_Comment.text := ReadString(Desktop_Sec,Commentde_Entry,'');
          ED_Icon.text        := ReadString(Desktop_Sec,Icon_Entry,'');
          ED_Type.text        := ReadString(Desktop_Sec,Type_Entry,'');
          s                   := ReadString(Desktop_Sec,Startup_Entry,'');
          CB_Startup.checked  := (S='true');
          s                   := ReadString(Desktop_Sec,Terminal_Entry,'');
          CB_Terminal.checked := (S='true');
        end
      finally
        StarterFile.free;
      end;
      Starter_memo.lines.Clear;
      n := 0;
      While (n<datei.count) do
        Begin
          zloesch:=false;
          if Pos(Name_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Namede_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Exec_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Icon_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Comment_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Commentde_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Type_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Startup_Entry+'=',Datei[n])=1 then zloesch := true;
          if Pos(Terminal_Entry+'=',Datei[n])=1 then zloesch := true;
          if zloesch then Datei.delete(n)
                     else inc(n);
        end;
      Starter_memo.Lines.text:=Datei.text;;
    end;
  Datei.free;
end;



procedure TMainform.BT_DesktopSpeichernClick(Sender: TObject);
begin
  StarterSpeichern(false);
end;


procedure TMainform.StarterSpeichern(Frage:Boolean);
Const
    Desktop_Sec = 'Desktop Entry';
    Name_Entry      = 'Name';
    Namede_Entry    = 'Name[de]';
    Exec_Entry      = 'Exec';
    Comment_Entry   = 'Comment';
    Commentde_Entry = 'Comment[de]';
    Icon_Entry      = 'Icon';
    Type_Entry      = 'Type';
    Startup_Entry   = 'StartupNotify';
    Terminal_Entry  = 'Terminal';
Var
  speichern, DelFile : Boolean;
  Datei              : TStringList;
  StarterFile        : TIniFile;
  Pfad, DName, c, pu : String;
  Warnung            : String;
  n : integer;
begin
  speichern := true;
  DelFile   := false;
  if Frage then
    begin
      if MessageDLG('Starter Speichern','Möchten Sie den geänderten Desktop-Starter speichern?',mtConfirmation,[mbyes,mbno],0)=mrno
                then
                  Begin
                    Starter_geaendert := false;
                    exit;
                  end;
    end;
  DName := Trim(Ed_Dateiname.text);
  Warnung := '';
  if (Pos('.desktop',Dname)<> Length(Dname)-7) then Warnung := 'Der Dateiname muss auf ".desktop" enden!'+ret+'Bitte korrigieren.';
  if DName = '' then Warnung :='Bitte geben Sie einen Dateinamen des Desktop-Starters an!';
  if Warnung <>'' then
    Begin
      ShowMessage(Warnung);
    end
  else
    Begin
      Pfad := ED_DesktopPfad.text+'/'+DName;
      If FileExists(Pfad) then
        Begin
          if MessageDLG('Starter Speichern','Der Dektop-Starter existiert schon:'+ret+ret+DName+ret+ret+
                        'Möchten Sie die vorhandene Datei überschreiben?',
                         mtWarning,[mbyes,mbno],0)=mryes
                then
            Begin
              DelFile := True;
            end
          else
            Begin
              exit;
            end;
        end;
      ED_Startername.text := Trim(ED_Startername.text);
      ED_Exec.text        := Trim( ED_Exec.text);
      Ed_Icon.text        := Trim(Ed_Icon.text);
      Ed_Type.text        := Trim(Ed_Type.text);
      Warnung :='';
      if (ED_Startername.text = '') then Warnung:=Warnung+ret+'Name des Starters fehlt!';
      if (ED_Exec.text = '') then Warnung:=Warnung+ret+'Auszuführendes Programm (Exec=) fehlt!';
      if (ED_Type.text = '') then Warnung:=Warnung+ret+'Type fehlt, sollte "Application" sein!';
      If Warnung <>'' then ShowMessage('Achtung!'+ret+Warnung);

      If DelFile then DeleteFile(Pfad);

      StarterFile := TIniFile.create(Pfad);
      Try with StarterFile do
        Begin
          WriteString (Desktop_sec,Name_entry,Trim(ED_Startername.text));
          WriteString (Desktop_sec,Exec_entry,Trim(ED_Exec.text));
          if Ed_Icon.text<>'' then WriteString (Desktop_sec,Icon_entry,Trim(ED_Icon.text));
          WriteString (Desktop_sec,Type_entry,Trim(ED_Type.text));
          if Trim(Ed_Comment.text)<>'' then WriteString (Desktop_sec,Comment_entry,Trim(ED_Comment.text));
          if CB_Startup.Checked then c := 'true' else c := 'false';
          WriteString (Desktop_sec,Startup_Entry,c);
          if CB_Terminal.Checked then c := 'true' else c := 'false';
          WriteString (Desktop_sec,Terminal_Entry,c);
        end
      finally
        StarterFile.free;
      end;
      if Trim(Starter_memo.text)<>'' then
        Begin
          Datei := TStringList.create;
          Datei.LoadFromFile(Pfad);
          for n := 0 to starter_memo.Lines.Count-1 do
            Begin
              Datei.Append(Starter_Memo.Lines[n]);
            end;
          Datei.SaveToFile(Pfad);
          Datei.free;
        end;
      // Rechte setzen
      Befehl_exec('chmod 775 '+'"'+Pfad+'"');
      pu := profile_user;
      if (pu='') or (pu='???') then
        begin
          pu := GetEnvironmentVariable('USER');
        end;
      Befehl_exec('chown '+pu+' "'+Pfad+'"');
      Starter_geaendert := false;
      Startername_alt := '';
      BT_Desktopclick(nil);
    end;

end;

procedure TMainform.ED_ExecChange(Sender: TObject);
begin
  Starter_geaendert := True;
end;

procedure TMainform.ED_StarternameChange(Sender: TObject);
var
  uebertrage : Boolean;
  p : integer;
  s : String;
begin
  If Trim(Ed_Startername.text)<>'' then
    Begin
      uebertrage := false;
      Starter_geaendert := True;
      ED_Dateiname.text := Trim(ED_Dateiname.text);
      if ED_Dateiname.text ='' then uebertrage := True
      else
        Begin
          p := pos('.desktop',ED_Dateiname.text);
          if p = length(ED_Dateiname.text)-7 then
            Begin
              s := Copy(ED_Dateiname.text,1,p-1);
              if s = Startername_alt then uebertrage := True;
            end;
        end;
      if uebertrage then
        Begin
          ED_Dateiname.text := ED_Startername.text+'.desktop';
          Startername_alt := ED_Startername.text;
        end;

    end;
end;



procedure TMainform.BT_DNSClick(Sender: TObject);
begin
  DNSForm.showmodal;
  DNS_Ziel := DNS_unit.DNSForm.ED_DNSZiel.text;
end;

procedure TMainform.BT_Druck_AktualisierenClick(Sender: TObject);
begin
  SetCupsInfo;
  SetsshdInfo;
end;



Function TmainForm.Get_CupsBPZeile:String ;
Var
  Datei     : TStringList;
  n         : integer;
  gefunden  : Boolean;
  Zeile     : String;
begin
  result :='';
  Datei := TStringList.create;
  if fileExists(CupsBrowsed_Pfad) then
    Begin
      Datei.LoadFromFile(CupsBrowsed_Pfad);
      gefunden := false;
      for n := 0 to Datei.count-1 do
        begin
          Zeile := Lowercase(Trim(Datei[n]));
          if Pos('browsepoll',Zeile)=1 then
            Begin
              result := Trim(Datei[n]);
            end;
        end;
    end
  else
    begin
      if CupsBrowsedMessage then ShowMessage('Die Datei'+ret+CupsBrowsed_Pfad+ret+'konnte nicht gefunden werden!');
      CupsBrowsedMessage:= false;
    end;
  Datei.free;
end;


Function TMainForm.Get_CupsBPIP:String;
Var
  p         : integer;
  Zeile, IP : String;
begin
  Zeile := Get_CupsBPZeile;
  if Pos(':',Zeile)> 11 then
                Begin
                  p := Pos(':',Zeile);
                end
              else
                Begin
                  p := length(Zeile)+1;
                end;
  IP := Trim(Copy(Zeile,11,p-11));
  if Zeile <> ''  then Result := IP
                  else Result := 'nicht eingetragen'
end;

Procedure TMainForm.SetsshdInfo;
Var
  Datei    : TStringList;
  gefunden : Boolean;
  n,p      : integer;
  Zeile,IP : String;
Begin
  sshd_config_warning := True;  // Flag für iddsa_unit - Warnhinweis
  if FileExists(sshdPfad) then
    Begin
      Datei := TStringList.create;
      Datei.loadFromFile(sshdPfad);
      gefunden := false;
      for n := 0 to Datei.count-1 do
        begin
          Zeile := Lowercase(Trim(Datei[n]));
          if Pos('allowusers',Zeile)=1 then
            Begin
              gefunden := True;
              ST_sshd.caption:='sshd-Config: "'+Datei[n]+'"';
              p := pos('@',Zeile);
              if p >0 then IP := Trim(Copy(Zeile,p+1,length(zeile)-p));
              if ValidIP(IP) and (IP = ServerIP) then
                Begin
                  ST_sshd.font.color := clDefault;
                  sshd_config_warning := false;
                end
              else
                begin
                  ST_sshd.font.color := clred;
                  ST_sshd.caption:= ST_sshd.caption + ' -> Bitte überprüfen!';
                  sshd_config_warning := True;
                end;
            end;
        end;
      if gefunden = false then ST_sshd.caption:='sshd-Config: kein AllowUsers Eintrag';
      Datei.free;
    end
  else
    Begin
      ST_sshd.caption:='sshd-Config: nicht vorhanden';
    end;
end;




Procedure TMainForm.SetCupsInfo;
Var
  CupsIP        : String;
  Zeile1,Zeile2 : String;
  Datei         : TStringList;
  n,z,p1,p2     : integer;
Begin
  CupsIP := Get_CupsBPIP;
  ST_CupsBPIP1.caption:= 'CUPS-Browsed-Poll Server: '+CupsIP;
  ST_CupsBPIP2.caption:= 'CUPS-Browsed-Poll Server: '+CupsIP;
  ED_CupsBPZeile.text:=Get_CupsBPZeile;
  ED_CupsBPneu.text := 'BrowsePoll '+ServerIP+':631/version=1.1';
  if ValidIP(CupsIP) and (CupsIP = ServerIP) then
    Begin
      ST_CupsBPIP1.font.color := clDefault;
      ST_CupsBPIP2.font.color := clDefault;
    end
  else
    begin
      ST_CupsBPIP1.font.color := clred;
      ST_CupsBPIP2.font.color := clred;
      ST_CupsBPIP2.caption:= ST_CupsBPIP2.caption + ' -> BITTE ÜBERPRÜFEN!';
    end;
  PrintersGrid.Cells[0,0]:='Drucker';
  PrintersGrid.Cells[1,0]:='DeviceURI';
  PrintersGrid.ColWidths[0]:=150;
  PrintersGrid.ColWidths[1]:=PrintersGrid.Width-PrintersGrid.ColWidths[0]-3;
  if (GetEnvironmentVariable('USER') = 'root') then
    Begin
      Datei := TStringList.create;
      if FileExists(CupsPrinters_Pfad) then
        Begin
          Datei.LoadFromFile(CupsPrinters_Pfad);
          z := 0;
          for n := 0 to Datei.count-1 do
            Begin
              Zeile1 := Trim(Datei[n]);
              Zeile2 := Lowercase(Zeile1);
              p1 := pos('<printer',Zeile2);
              p2 := pos('>',Zeile2);
              if (p1=1) and (p2>p1) then
                Begin
                  z := z+1;
                  PrintersGrid.RowCount:= z+1;
                  PrintersGrid.cells[0,z] := Trim(Copy(Zeile1,9,p2-p1-8));
                end;
              p1 := pos('deviceuri',Zeile2);
              if p1 =1 then
                Begin
                  PrintersGrid.RowCount:= z+1;
                  PrintersGrid.cells[1,z] := Trim(Copy(Zeile1,10,length(Zeile1)-9));
                end;
            end;
        end
      else
        Begin
          if CupsPrintersMessage then ShowMessage('Die Datei'+ret+CupsPrinters_Pfad+ret+'konnte nicht gefunden werden!');
          CupsPrintersMessage := false;
        end;
      Datei.free;
    end
  else
    Begin
      PrintersGrid.Cells[1,1]:='Bitte entsperren, um Liste anzuzeigen.'
    end;
end;




procedure TMainform.BT_HDInfoClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := '/sbin/fdisk -l';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='Festplatteninfo: fdisk';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;

procedure TMainform.BT_HinweiseClick(Sender: TObject);
begin
  Hinweise_Form.HinweisMemo.lines[0] := 'Linuxmuster-Client-Config  (lmlcc), Version ' + Version+' ('+Build+')';
  Hinweise_Form.ShowModal;
end;



procedure TMainform.BT_ifconfigClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := '/sbin/ifconfig';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='Netzwerkinfo: ifconfig';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;



procedure TMainform.BT_lsmodClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := 'lsmod';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='Geladene Module/Treiber: lsmod';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;

procedure TMainform.BT_ProfilEinstellungenClick(Sender: TObject);
begin
  ProfileEditForm.ED_Vorlagenuser.Text := profile_user;
  ProfileEditForm.ED_rsync.Text        := rsync_options;
  if usersetopt_all then ProfileEditForm.CB_usersetopt_all.checked:=True
                    else ProfileEditForm.CB_usersetopt_all.checked:=false;
  if GetEnvironmentVariable('USER') = 'root' then
    Begin
      ProfileEditForm.CB_rsync.enabled:=True;
      ProfileEditForm.CB_usersetopt_all.enabled := True;
    end
  else
    Begin
      ProfileEditForm.CB_rsync.enabled:=false;
      ProfileEditForm.CB_usersetopt_all.enabled := false;
    end;
  if ProfileEditForm.showmodal = mrOK then
    Begin
      if (rsync_options <> ProfileEditForm.ED_rsync.text) then
        Begin
          rsync_options := ProfileEditForm.ED_rsync.text;
          ProfilSpeichern.enabled := True;
          profile_mod := True;
        end;
      if (usersetopt_all <> ProfileEditForm.CB_usersetopt_all.checked) then
        Begin
          usersetopt_all := ProfileEditForm.CB_usersetopt_all.checked;
          ProfilSpeichern.enabled := True;
          usersetopt_mod := True;
        end;
    end;
end;

procedure TMainform.BT_ProzesseClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := '/bin/ps -ejH';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='Prozessliste';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;

procedure TMainform.BT_routeClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := '/sbin/route';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='Routingtabelle';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;



procedure TMainform.BT_Wine_installClick(Sender: TObject);
var
  s,b,sudo,pu,Pfad : String;
  Datei       : TStringList;
  n           : integer;
  instok      : boolean;
begin
  Datei := TStringList.create;
  Wine_log.clear;
  Wine_Log.Append('Aktionen werden gestartet ...');
  if CB_Wine_Repo.checked then
      Begin
        Befehl_exec(wineppa_befehl);
        b := '# add-apt-repository ppa:ubuntu-wine/ppa';
        n := Wine_Log.lines.add(b);
        if FileExists('/etc/apt/sources.list.d/ubuntu-wine-ppa-trusty.list')
        or FileExists('/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list')
           then Wine_Log.lines[n] := b +' ... OK'
           else Wine_log.Lines[n] := b +' ... FEHLER!';
        CB_Wine_Repo.checked := false;
      end;
  if CB_Wine_Install.checked then
    Begin
      instok := false;
      if FileExists('/etc/apt/sources.list.d/ubuntu-wine-ppa-trusty.list')
      or FileExists('/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list')
        then
           Begin
             instok := true
           end
         else
           Begin
             if MessageDLG('Paketquellenfehler','Die Wine-ppa-Paketquelle ist scheinbar nicht aufgelistet.'+ret+
                        'Wollen Sie die Installation von Wine trotzdem starten?',mtwarning,[mbyes,mbno],0)=mryes
                then instok := True;
           end;
      if instok then
        Begin
          b := '# apt-get update ; apt-get install wine'+wineversion;    // bisher wineversion = 1.7
          n := Wine_Log.lines.Add(b);
          ShowMessage('Der Installationsprozess wird nun in einem x-Terminal gestartet.'+ret+
                      'Dort ggf. die Anfragen (EULA) beantworten/bestätigen.');
          s := Befehl_exec(wineinstall_befehl);
          Wine_Log.lines[n] := b + ' ... OK';
        end;
      CB_Wine_Install.checked := false;
    end;
  sudo := 'sudo -u '+profile_user+' ';
  if CB_Winecfg.checked then
        Begin
          instok := false;
          if FileExists('/usr/bin/winecfg')  then instok := true
          else
            Begin
              if MessageDLG('wincfg','Die Programmdatei "/usr/bin/winecfg" wurde nicht gefunden.'+ret+
                        'Wollen Sie es trotzdem probieren?',mtwarning,[mbyes,mbno],0)=mryes
                then instok := True;
            end;
          if instok then
            Begin
              ShowMessage('Das Programm "winecfg" wird nun gestartet,'+ret+'das kann etwas dauern.'+ret+
                      'Zusätzliche Installations-Anfragen (z.B. Mono, Geko, auch mehrfach) und Downloads bestätigen.'+ret+
                      'Auf überlappende und sich verdeckende Fenster achten.'+ret+
                      'Bitte schließlich das Programmfenster von "wincfg" mit OK beenden!'+ret+'... dann gehts weiter :-)');
              Befehl_exec(sudo+'/usr/bin/winecfg');
              Wine_Log.Append('... winecfg wurde ausgeführt');
            end;
          CB_Winecfg.checked := false;
        end;
  if CB_Winehome.checked then
        Begin
          instok := true;
          pu := profile_user;
          if pu= '' then pu := GetEnvironmentVariable('USER');
          Pfad := '/home/'+pu+'/.wine/drive_c';
          if not DirectoryExists(Pfad) then
            Begin
              instok := false;
              ShowMessage('FEHLER!'+ret+ret+
                          'Das Verzeichnis' +ret+ret+Pfad+ret+ret+'existiert nicht oder wurde schon verschoben.');
            end;
          s := Befehl_execF('mv '+Pfad+' /home/wine.drive_c');
          if s <>'' then Wine_Log.Append(s);
          Befehl_exec('chmod -R 777 /home/wine.drive_c');
          Befehl_exec('chmod -R 755 /home/samba');
          Befehl_exec('ln -sf /home/wine.drive_c /home/'+pu+'/.wine/dosdevices/c:');
          Befehl_exec('ln -sf /home/samba/progs /home/'+pu+'/.wine/dosdevices/k:');
          Befehl_exec('ln -sf ../../Home_auf_Server /home/'+pu+'/.wine/dosdevices/h:');
          if not DirectoryExists ('/home/wine.drive_c')  then
            Begin
              instok := false;
              ShowMessage('FEHLER'+ret+ret+
                          'Beim Kopieren des .wine-Verzeichnisses trat ein Fehler auf!'+ret+ret+
                          '/home/winde.drive_c'+ret+ret+'konnte nicht angelegt werden!');
            end;
          if Instok then Wine_Log.Append('... Verzeichnisse verschoben und verlinked: ".wine"')
                    else Wine_Log.Append('FEHLER: Verzeichnis ".wine" verschieben!');
          CB_Winehome.checked := false;
        end;
  if (CB_Wine_rsync.checked) then
         Begin
           if pos('--links',rsync_options)=0 then
                 Begin
                   rsync_options:='--links '+rsync_options;
                 end;
           if FileExists(Profile_Pfad) then
               Begin
                 instok := false;
                 Datei.LoadFromFile(Profile_Pfad);
                 if (Datei.Count>0) then
                   Begin
                     for n := 0 to Datei.count-1 do
                       Begin
                         if Pos(rsync_opt,Trim(Datei[n]))=1 then
                           Begin
                             Datei[n] := rsync_opt+'="'+rsync_options+'"';
                             instok := True;
                           end;
                       end;
                     Datei.SaveToFile(Profile_Pfad);
                   end;
                 if instok then Wine_Log.Append('... neue RSYNC_OPTIONS: "'+rsync_options+'"')
                           else Wine_Log.Append('... neue RSYNC OPTIONS: FEHLER!')
               end
           else
             ShowMessage('Fehler!'+ret+'Die Datei "profile.conf" wurde nicht gefunden.');
           CB_Wine_rsync.checked := false;
         end;
  if CB_postumountscript.checked then
        Begin
          Datei.clear;
          Datei.add('# loescht das angelegte user-wine-Verzeichnis');
          Datei.add('rm -Rf /home/wine.drive_c/users/$USER');
          Try
            Datei.savetofile(wineuserdel_pfad);
          except
            ShowMessage('Das Script konnte nicht angelegt werden:'+ret+ret+wineuserdel_pfad);
          end;
          if FileExists(wineuserdel_pfad) then Wine_Log.Append('... post-umount-Script erstellt')
                                          else Wine_Log.Append('... post-umount-Script: FEHLER') ;
          CB_postumountscript.checked := false;
        end;
  if CB_mfc42.checked then
        Begin
          instok := false;
          if FileExists('/usr/bin/winetricks')  then instok := true
          else
            Begin
              if MessageDLG('wintricks','Die Programmdatei "/usr/bin/winetricks" wurde nicht gefunden.'+ret+
                        'Wollen Sie es trotzdem probieren?',mtwarning,[mbyes,mbno],0)=mryes
                then instok := True;
            end;
          if instok then
            Begin
              ShowMessage('Das Programm "winetricks" wird nun gestartet,'+ret+'das kann etwas dauern.'+ret+
                      'Bitte Lizenzbestimmungen bestätigen!'+ret+'... dann gehts weiter :-)');
              Befehl_exec(sudo + '/usr/bin/winetricks mfc42');
              Wine_Log.Append('... winetricks mfc42 wurde ausgeführt');
            end;
          CB_mfc42.checked := false;
        end;
if CB_Registry.checked then
          Begin
            Befehl_exec('chmod -R 777 /home/wine.drive_c');
            Befehl_exec('chmod -R 755 /home/samba');
            Befehl_exec('sed -i ''s/C:\\\\users\\\\'+profile_user+'\\\\Temp/Z:\\\\tmp/g'' /home/'+profile_user+'/.wine/user.reg');
            Befehl_exec('sed -i ''s/C:\\\\users\\\\'+profile_user+'/%USERPROFILE%/g'' /home/'+profile_user+'/.wine/user.reg');
            Befehl_exec('sed -i ''s|/home/'+profile_user+'/.local|~/.local|g'' /home/'+profile_user+'/.wine/user.reg');
            Befehl_exec('sed -i ''s/C:\\\\users\\\\'+profile_user+'/%USERPROFILE%/g'' /home/'+profile_user+'/.wine/userdef.reg');
            Befehl_exec('sed -i ''s/C:\\\\users\\\\pgmadmin/%USERPROFILE%/g'' /home/'+profile_user+'/.wine/user.reg');
            Befehl_exec('sed -i ''s/C:\\\\users\\\\pgmadmin/%USERPROFILE%/g'' /home/'+profile_user+'/.wine/userdef.reg');
            Wine_Log.Append('... Rechte gesetzt, Registry bearbeitet');
            CB_Registry.checked := false;
          end;
  Datei.free;
  Showmessage('Aktionen abgeschlossen!');
end;

procedure TMainform.CPUinfoClick(Sender: TObject);
Var
  Befehl      : TProcess;
  Ausgabe     : TStringList;
  n           : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  Befehl.commandline := cpuinfo_befehl;
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
   if (Ausgabe.Count > 0) then
      Begin
        Messageform.Caption:='CPU Info';
        Messageform.memo.lines := Ausgabe;
        Messageform.ShowModal;
      end;
  Ausgabe.free;
end;

procedure TMainform.CrontabShow(Sender: TObject);
begin
   if GetEnvironmentVariable('USER') = 'root' then
     Begin
       Crontab_EditButton.enabled := True;
     end;
  Crontab_aktClick(nil);
end;

procedure TMainform.Crontab_aktClick(Sender: TObject);
var
  Pfad      : String;
begin
  Pfad := Crontab_Pfad.text;
  If FileExists(Pfad) then
     Begin
       Crontab_Memo.Lines.LoadFromFile(Pfad);
     end
  else
    Begin
      ShowMessage('Die Crontab'+ret+Pfad+ret+'wurde nicht gefunden.'+ret+
                  'Ggf. ist das Paket "linuxmuster-client-extras" '+ret+'nicht installiert.');
      Crontab_EditButton.enabled := false;
    end;

end;

procedure TMainform.Crontab_editButtonClick(Sender: TObject);

Var
  Pfad     : String;

begin
  Crontabform.synedit1.Text:=Crontab_memo.Text;
  if CrontabForm.ShowModal = mrok then
    Begin
      Pfad := Crontab_Pfad.text;
      Crontabform.synedit1.Lines.SaveToFile(Pfad);
      Crontab_aktclick(nil);
    end;
end;


procedure TMainform.CUPSShow(Sender: TObject);
Var
  IniFile : TiniFile;
  i       : integer;
begin
  PrintersGrid.SetFocus;
  If DirectoryExists(DrucknotifierPfad) then
    Begin
      ST_Drucknotifier.caption:='DruckNotifier: installiert unter "'+DrucknotifierPfad+'"';
      if FileExists(DruckNotifierCFGPfad) then
        Begin
          IniFile     := TIniFile.Create(DruckNotifierCFGPfad);
          Try with IniFile do
            Begin
              DF_ClientIP.text := ReadString(Programm_sec,ClientIP_entry,'');
              DF_Port.text     := ReadString(Programm_sec, Port_entry,'');
              DF_Poorman.text  := ReadString(Programm_sec,poorman_entry,'');
              DF_Balance.text  := ReadString(Programm_sec,balance_entry,'');
              DF_GHE.text      := ReadString(Programm_sec,ghe_entry,'');
              DF_Log.text      := ReadString(Programm_sec,log_entry,'');
              DF_AlleErlauben.checked := Boolean(ReadInteger(Programm_sec,AlleErlauben_entry,0));
              DF_debug.checked := Boolean(ReadInteger(Programm_sec,debug_entry,0));
              i        := ReadInteger(Desktop_sec,info_entry,0);
              DF_info.checked :=false;  DF_info2.checked :=false;
              if i > 0 then DF_info.checked := true;
              if i = 2 then DF_info2.checked := true;
              DF_Menue.checked := Boolean(ReadInteger(Desktop_sec,Menue_entry,0));
              DF_xpos.text      := ReadString(Desktop_sec,xpos_entry,'');
              DF_ypos.text      := ReadString(Desktop_sec,ypos_entry,'');
              DF_Fenster.text   := ReadString(Desktop_sec,FensterFarbe_entry,'');
              DF_Font.text      := ReadString(Desktop_sec,FontFarbe_entry,'');
              DF_gruen.text     := ReadString(Desktop_sec,gruen_entry,'');
              DF_gelb.text      := ReadString(Desktop_sec,gelb_entry,'');
              DF_rot.text       := ReadString(Desktop_sec,rot_entry,'');
            end
          finally
            IniFile.free;
          end;
          Panel1.visible := True;
          ST_Drucknotifier_Hinweis.visible := false;
          if (DF_ClientIP.text <>'*') and (DF_ClientIP.text <>serverIP) then DF_ClientIP.Font.color:=clred
                                                                        else DF_ClientIP.Font.color:=clDefault;
        end
      else
        Begin
          ST_Drucknotifier_Hinweis.caption    := 'Konfigurationsdatei  "'+DruckNotifierCFGPfad+'"  fehlt.';
          ST_Drucknotifier_Hinweis.Font.color := clRed;
          ST_Drucknotifier_Hinweis.visible := true;
          Panel1.visible := false;
        end;
    end
  else
    Begin
      ST_Drucknotifier_Hinweis.caption:='DruckNotifier: nicht installiert unter "'+DruckNotifierPfad+'"';
      ST_Drucknotifier_Hinweis.visible := true;
      Panel1.visible := false;
    end;
end;





procedure TMainform.Df_SetzenClick(Sender: TObject);
Var
  IniFile : TIniFile;
  i       : integer;
begin
  if validIP(DF_ClientIP.text) or (DF_ClientIP.text='*') then
    Begin
      if (DF_ClientIP.text <>'*') and (DF_ClientIP.text <>serverIP) then DF_ClientIP.Font.color:=clred
                                                                    else DF_ClientIP.Font.color:=clDefault;
      IniFile := TIniFile.create(DruckNotifierCFGPfad);
      Try with IniFile do
        Begin
          WriteString(Programm_sec,ClientIP_entry,DF_ClientIP.text);
          WriteString(Programm_sec, Port_entry,DF_Port.text);
          WriteString(Programm_sec,poorman_entry,DF_Poorman.text);
          WriteString(Programm_sec,balance_entry, DF_Balance.text);
          WriteString(Programm_sec,ghe_entry,DF_GHE.text);
          WriteString(Programm_sec,log_entry,DF_Log.text);
          WriteInteger(Programm_sec,AlleErlauben_entry,Integer(DF_AlleErlauben.checked));
          WriteInteger(Programm_sec,debug_entry,Integer(DF_debug.checked));
          i := 0;
          if DF_info.checked then i := 1;
          if DF_info2.checked then i := 2;
          WriteInteger(Desktop_sec,info_entry,i);
          WriteInteger(Desktop_sec,Menue_entry,Integer(DF_Menue.checked));
          WriteString(Desktop_sec,xpos_entry,DF_xpos.text);
          WriteString(Desktop_sec,ypos_entry,DF_ypos.text);
          WriteString(Desktop_sec,FensterFarbe_entry,DF_Fenster.text);
          WriteString(Desktop_sec,FontFarbe_entry,DF_Font.text);
          WriteString(Desktop_sec,gruen_entry,DF_gruen.text);
          WriteString(Desktop_sec,gelb_entry,DF_gelb.text);
          WriteString(Desktop_sec,rot_entry,DF_rot.text);
        end
      finally
        IniFile.free;
      end;
    end
  else
    Begin
      ShowMessage('Die ClientIP ist ungültig.'+ret+'Es wurde nicht gespeichert.');
    end;
end;




procedure TMainform.HomeEinlesenClick(Sender: TObject);
var
    Found,n,m,a,b : Integer;
    SearchRec     : TSearchRec;
    Pfad,sa,sb,h  : String;
    Zeile         : TStringList;
begin
    Pfad := '/home/'+profile_user;
    HomeGrid.Cells[1,0] := 'Name';
    HomeGrid.cells[2,0] := 'Größe';
    HomeGrid.cells[3,0] := 'Aktion zum Bereinigen';
    Zeile := TStringList.create;
    HomeGrid.cells[4,0] := 'Profil';
    Found := FindFirst(Pfad+'/*', faAnyFile, SearchRec);
    n := 1;
    HomeGrid.ColWidths[0] := 35;
    HomeGrid.ColWidths[1] := homeGrid.Width-340-53;
    HomeGrid.ColWidths[2] := 100;
    HomeGrid.ColWidths[3] := 150;
    HomeGrid.ColWidths[4] := 90;
    while Found = 0 do
      begin
        if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
          Begin
            HomeGrid.Cells[1,n] := SearchRec.Name;
            if Boolean(searchrec.Attr and faDirectory) then
              Begin
                HomeGrid.cells[2,n] := 'Dir (' + FormatFloat('#0.##',du_MB(Pfad+'/'+SearchRec.Name))+' MB)';
                HomeGrid.cells[0,n] := '+';
              end
            else
              Begin
                HomeGrid.Cells[2,n] := IntToStr(SearchRec.Size);
                HomeGrid.cells[0,n] := '';
              end;
            HomeGrid.cells[3,n] := '';
            HomeGrid.cells[4,n] := '';
            inc(n);
            HomeGrid.RowCount :=n+1;
          end;
        Found := FindNext(SearchRec);
      end;
    FindClose(SearchRec);
    HomeGrid.RowCount := n;
{    for n := 1 to HomeGrid.RowCount-1 do
      Begin
        for m := 0 to BereinigenList.Count-1 do
          Begin
            Zeile.commatext := BereinigenList[m];
            if (HomeGrid.cells[1,n] = Zeile[0]) then
              Begin
                if (Zeile.count=2) then HomeGrid.cells[3,n] := Zeile[1];
              end;
          end;
      end;
}
  ReadHomeProfile;
  ReadBereinigenList;
  SortHomeGrid;
  UpdateBereinigenList;
  Zeile.free;
end;


Procedure TMainForm.ReadBereinigenList;
Var
  n,m       : integer;
  pfadfehlt   : Boolean;
  Zeile       : TStringList;
  pfad,pfad_a : String;
Begin
  Zeile := TStringList.create;
  for n := 0 to BereinigenList.Count-1 do
    Begin
      Zeile.commatext := BereinigenList[n];
      pfad := Zeile[0];
      pfadfehlt := true;
      for m:= 1 to HomeGrid.rowcount-1 do
        Begin
          if (pfad = HomeGrid.cells[1,m]) then
            Begin
              pfadfehlt := false;
              if (Zeile.count=2) then HomeGrid.Cells[3,m] := Zeile[1];
            end;
        end;
      if pfadfehlt then
        Begin
          HomeGrid.Rowcount := Homegrid.Rowcount+1;
          HomeGrid.Cells[1,HomeGrid.Rowcount-1] := pfad;
          if (Zeile.count=2) then HomeGrid.Cells[3,HomeGrid.Rowcount-1] := Zeile[1];
          pfad_a := '/home/'+profile_User+'/'+Pfad;
          if FileExists(pfad_a) then
            Begin
              HomeGrid.cells[2,HomeGrid.Rowcount-1] := GetFileSizeInfo(pfad_a);
            end;
        end;
    end;
  Zeile.free;
end;

Function TMainForm.GetFileSizeInfo(Pfad : String):String;

Begin
  if DirectoryExists(pfad) then Result := 'Dir (' + FormatFloat('#0.##',du_MB(pfad))+' MB)'
  else if FileExists(pfad) then Result := FormatFloat('#0.##',du_MB(pfad))+' MB'
  else result := '';
end;


Procedure TMainForm.UpdateBereinigenList;
Var
    n : integer;
Begin
  BereinigenList.clear;
  for n := 1 to HomeGrid.RowCount-1 do
    Begin
      if HomeGrid.cells[3,n]<> '' then
        Begin
          BereinigenList.Add(HomeGrid.Cells[1,n]+','+HomeGrid.Cells[3,n]);
        end;
    end;
end;

Procedure TMainForm.ReadHomeProfile;
Var
  Datei       : TStringList;
  n,p,m       : integer;
  pfad,pfad_a : String;
  pfadfehlt   : Boolean;
Begin
  Datei := TStringList.create;
  if FileExists(Userset_Pfad) then
    Begin
      Datei.loadfromfile(Userset_Pfad);
      if Datei.count>0 then
        Begin
          for n:= 0 to Datei.count-1 do
            Begin
              p := Pos(':',Datei[n]);
              if p >0 then
                Begin
                  pfad := Copy(Datei[n],p+1,Length(Datei[n])-p);
                  //ShowMessage(Pfad);
                  if Pfad <>'ALL' then
                    Begin
                      pfadfehlt := true;
                      for m:= 1 to HomeGrid.rowcount-1 do
                        Begin
                          if (pfad = HomeGrid.cells[1,m]) then
                            Begin
                              HomeGrid.Cells[4,m] := 'Server';
                              pfadfehlt := false;
                            end;
                        end;
                      if pfadfehlt then
                        Begin
                          HomeGrid.Rowcount := Homegrid.Rowcount+1;
                          HomeGrid.Cells[1,HomeGrid.Rowcount-1] := pfad;
                          HomeGrid.Cells[4,HomeGrid.Rowcount-1] := 'Server';
                          pfad_a := '/home/'+profile_User+'/'+Pfad;
                          HomeGrid.cells[2,HomeGrid.Rowcount-1] := GetFileSizeInfo(pfad_a);
                        end;
                    end
                  else
                    Begin

                    end;
                end;
            end;
        end;
      end;
  Usersetopt_all := false;
  if FileExists(Usersetopt_Pfad) then
      Begin
        Datei.loadfromfile(Usersetopt_Pfad);
        if Datei.count>0 then
          Begin
            for n:= 0 to Datei.count-1 do
              Begin
                Datei[n] := Trim(Datei[n]);
                p := Pos(':',Datei[n]);
                if p >0 then
                  Begin
                    pfad := Copy(Datei[n],p+1,Length(Datei[n])-p);
                    //ShowMessage(Pfad);
                    if Pfad <>'ALL' then
                      Begin
                        pfadfehlt := true;
                        for m:= 1 to HomeGrid.rowcount-1 do
                          Begin
                            if (pfad = HomeGrid.cells[1,m]) then
                              Begin
                                HomeGrid.Cells[4,m] := 'Server opt';
                                pfadfehlt := false;
                              end;
                          end;
                        if pfadfehlt then
                          Begin
                            HomeGrid.Rowcount := Homegrid.Rowcount+1;
                            HomeGrid.Cells[1,HomeGrid.Rowcount-1] := pfad;
                            HomeGrid.Cells[4,HomeGrid.Rowcount-1] := 'Server opt';
                            pfad_a := '/home/'+profile_User+'/'+Pfad;
                            HomeGrid.cells[2,HomeGrid.Rowcount-1] := GetFileSizeInfo(Pfad_a);
                          end;
                      end
                    else
                      Begin
                        if (Datei[n] = 'ALL:ALL') then usersetopt_all := True;
                      end;
                  end;
              end;
          end;
        end;
  if FileExists(linklist_Pfad) then
        Begin
          Datei.loadfromfile(LinkList_Pfad);
          if Datei.count>0 then
            Begin
              for n:= 0 to Datei.count-1 do
                Begin
                  Datei[n] := Trim(Datei[n]);
                  p := Pos('#',Datei[n]);
                  if ((p=0) or (p >1)) and (Datei[n]<>'') then
                    Begin
                      if p =0 then pfad := Datei[n]
                              else pfad := Trim(Copy(Datei[n],1,p-1));
                      pfadfehlt := true;
                          for m:= 1 to HomeGrid.rowcount-1 do
                            Begin
                              if (pfad = HomeGrid.cells[1,m]) then
                                Begin
                                  HomeGrid.Cells[4,m] := 'link';
                                  pfadfehlt := false;
                                end;
                            end;
                          if pfadfehlt then
                            Begin
                              HomeGrid.Rowcount := Homegrid.Rowcount+1;
                              HomeGrid.Cells[1,HomeGrid.Rowcount-1] := pfad;
                              HomeGrid.Cells[4,HomeGrid.Rowcount-1] := 'link';
                              pfad_a := '/home/'+profile_User+'/'+Pfad;
                              HomeGrid.cells[2,HomeGrid.Rowcount-1] := GetFileSizeInfo(pfad_a);
                            end;
                        end
                      else
                        Begin

                        end;
                    end;
                end;
            end;
  if FileExists(excludelist_Pfad) then
          Begin
            Datei.loadfromfile(ExcludeList_Pfad);
            if Datei.count>0 then
              Begin
                for n:= 0 to Datei.count-1 do
                  Begin
                    Datei[n] := Trim(Datei[n]);
                    p := Pos('#',Datei[n]);
                    if ((p=0) or (p >1)) and (Datei[n]<>'') then
                      Begin
                        if p =0 then pfad := Datei[n]
                                else pfad := Trim(Copy(Datei[n],1,p-1));
                        pfadfehlt := true;
                            for m:= 1 to HomeGrid.rowcount-1 do
                              Begin
                                if (pfad = HomeGrid.cells[1,m]) then
                                  Begin
                                    HomeGrid.Cells[4,m] := 'exclude';
                                    pfadfehlt := false;
                                  end;
                              end;
                            if pfadfehlt then
                              Begin
                                HomeGrid.Rowcount := Homegrid.Rowcount+1;
                                HomeGrid.Cells[1,HomeGrid.Rowcount-1] := pfad;
                                HomeGrid.Cells[4,HomeGrid.Rowcount-1] := 'exclude';
                                pfad_a := '/home/'+profile_User+'/'+Pfad;
                                HomeGrid.cells[2,HomeGrid.Rowcount-1] := GetFileSizeInfo(pfad_a);
                              end;
                          end
                        else
                          Begin

                          end;
                      end;
                  end;
              end;
  Datei.free;
end;

Procedure TMainForm.SortHomeGrid;
var
  n,a,b   : integer;
  sa,sb,h : String;
Begin
  n := HomeGrid.RowCount;
  if n>2 then
     Begin
       for a:= 1 to (n-2) do
         Begin
           for b := a+1 to (n-1) do
             Begin
               sa := HomeGrid.cells[1,a];
               sb := HomeGrid.cells[1,b];
               if (sb[1]='.') and (sa[1] <>'.') then
                 Begin
                   HomeGrid.cells[1,a] := sb; HomeGrid.cells[1,b] := sa;
                   h := HomeGrid.cells[0,a];HomeGrid.cells[0,a]:= HomeGrid.cells[0,b];HomeGrid.cells[0,b]:=h;
                   h := HomeGrid.cells[2,a];HomeGrid.cells[2,a]:= HomeGrid.cells[2,b];HomeGrid.cells[2,b]:=h;
                   h := HomeGrid.cells[3,a];HomeGrid.cells[3,a]:= HomeGrid.cells[3,b];HomeGrid.cells[3,b]:=h;
                   h := HomeGrid.cells[4,a];HomeGrid.cells[4,a]:= HomeGrid.cells[4,b];HomeGrid.cells[4,b]:=h;
                 end
               else
               if not ((sb[1]<>'.') and (sa[1] ='.')) then
                 Begin
                   if sb < sa then
                     Begin
                       HomeGrid.cells[1,a] := sb; HomeGrid.cells[1,b] := sa;
                       h := HomeGrid.cells[0,a];HomeGrid.cells[0,a]:= HomeGrid.cells[0,b];HomeGrid.cells[0,b]:=h;
                       h := HomeGrid.cells[2,a];HomeGrid.cells[2,a]:= HomeGrid.cells[2,b];HomeGrid.cells[2,b]:=h;
                       h := HomeGrid.cells[3,a];HomeGrid.cells[3,a]:= HomeGrid.cells[3,b];HomeGrid.cells[3,b]:=h;
                       h := HomeGrid.cells[4,a];HomeGrid.cells[4,a]:= HomeGrid.cells[4,b];HomeGrid.cells[4,b]:=h;
                    end;
                 end;
             end;
           ;
         end;
     end;
end;

Procedure TMainForm.HomeGridExpand(Pfad : String);
var
  DirPfad   : String;
  n,Found   : Integer;
  SearchRec : TSearchRec;
Begin
  DirPfad := '/home/'+profile_user+'/'+Pfad;
  Found := FindFirst(DirPfad+'/*', faAnyFile, SearchRec);
  n := HomeGrid.RowCount;
  while Found = 0 do
        begin
          if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
            Begin
              HomeGrid.RowCount :=n+1;
              HomeGrid.Cells[1,n] := Pfad+'/'+SearchRec.Name;
              if Boolean(searchrec.Attr and faDirectory) then
                Begin
                  HomeGrid.cells[2,n] := 'Dir (' + FormatFloat('#0.##',du_MB(DirPfad+'/'+SearchRec.Name))+' MB)';
                  HomeGrid.cells[0,n] := '+';
                end
              else
                Begin
                  HomeGrid.Cells[2,n] := IntToStr(SearchRec.Size);
                  HomeGrid.cells[0,n] := '';
                end;
              HomeGrid.cells[3,n] := '';
              HomeGrid.cells[4,n] := '';
              inc(n);
            end;
          Found := FindNext(SearchRec);
        end;
  FindClose(SearchRec);
  SortHomeGrid;
end;




procedure TMainform.HomeGridClick(Sender: TObject);
var
  Col, Row : Integer;
  s1,s2        : String;
begin
  Col := HomeGrid.Col;
  Row := HomeGrid.Row;
  if (col=4) and (GetEnvironmentvariable('USER')<>'root') then
    Begin
      Showmessage('Zum Ändern der Profileinstellungen bitte Programm entsperren.');
      exit;
    end;
  //ShowMessage(IntToStr(Col)+'  --  '+IntToStr(Row));
  if col = 3 then
    Begin
      s1 := HomeGrid.cells[col,row];
      if (s1 = '') then s2 := 'keine'
      else if (s1 = 'keine') then s2 := 'löschen'
      else if (s1 = 'löschen') and ((pos('Dir',HomeGrid.cells[2,row])>0)or(HomeGrid.cells[2,row]='')) then s2 := 'leeren'
      else if (s1 = 'löschen') or  (s1 = 'leeren') then s2 := 'Dir-anlegen'
      else if (s1 = 'Dir-anlegen') then s2 := 'File-anlegen'
      else s2 := '';
      HomeGrid.cells[col,row] := s2;
    end;
  if col = 4 then
    Begin
      s1 := HomeGrid.cells[col,row];
      if (s1 = '') then s2 := 'Server'
      else if (s1 = 'Server') then s2 := 'Server opt'

//    exclude und link sind noch nicht vollständig implementiert!
//      else if (s1 = 'Server opt') then s2 := 'link'
//      else if (s1 = 'link') then s2 := 'exclude'
      else s2 := '';
      HomeGrid.cells[col,row] := s2;
      ProfilSpeichern.enabled := True;
    end;
  if (Col=0) and (HomeGrid.cells[col,row]='+') then
    Begin
      HomeGrid.cells[col,row]:='-';
      HomeGridExpand(HomeGrid.Cells[1,row]);
    end;
  UpdateBereinigenList;
end;

procedure TMainform.HomeGridDrawCell(Sender: TObject; aCol, aRow: Integer;
  aRect: TRect; aState: TGridDrawState);
var
    dx: Integer;
  begin
    with (Sender as TStringGrid) do
    begin
      // Don't change color for first Column, first row
      if (ACol = 0) or (ARow = 0) then
        Canvas.Brush.Color := clBtnFace
      else
      begin
        case ACol of
          1: Canvas.Font.Color := clBlack;
          2: Canvas.Font.Color := clBlue;
        end;
        // Draw the Band
        if ARow mod 2 = 0 then
          Canvas.Brush.Color := clred
        else
          Canvas.Brush.Color := clgreen;
        Canvas.TextRect(aRect, aRect.Left+3 , aRect.Top+3 , cells[acol, arow]);
        //Canvas.FrameRect(aRect);
      end;
    end;
end;


procedure TMainform.HomeGridPrepareCanvas(sender: TObject; aCol, aRow: Integer;
  aState: TGridDrawState);
begin
  with (Sender as TStringGrid) do
  begin
     if (ACol = 0) or (ARow = 0) then
      Canvas.Brush.Color := clBtnFace
    else
    begin
      case ACol of
        1: Canvas.Font.Color := clBlack;
        2: Canvas.Font.Color := clBlue;
      end;
      if ARow mod 2 = 0 then
        Canvas.Brush.Color := clcream
      else
        Canvas.Brush.Color := clskyblue;
     end;
  end;

end;



procedure TMainform.LoeschenGridClick(Sender: TObject);
var
  Col, Row     : Integer;
  s1,s2        : String;
begin
  Col := LoeschenGrid.Col;
  Row := LoeschenGrid.Row;
  if col = 2 then
    Begin
      s1 := LoeschenGrid.cells[col,row];
      if (s1 = 'keine') then s2 := 'löschen'
      else if (s1 = 'löschen') then s2 := 'leeren'
      else if (s1 = 'leeren')  then s2 := 'Dir-anlegen'
      else if (s1 = 'Dir-anlegen')  then s2 := 'File-anlegen'
      else s2 := 'keine';
      LoeschenGrid.cells[col,row] := s2;
      LoeschList[Row-1]:= LoeschenGrid.cells[0,row]+','+s2;
    end;
 end;

procedure TMainform.PingEditClick(Sender: TObject);
begin
  PingEditForm.PingList := PingList;
  PingEditForm.showmodal;
  SetPingList;
  PingList.SaveToFile(PingListPfad);
end;

procedure TMainform.ProfilSpeichernClick(Sender: TObject);
var
  Datei,DateiNeu : TStringList;
  n,m,p          : integer;
  Pfad,Beschr    : String;
begin
  if GetEnvironmentVariable('USER')='root' then
    Begin
      Datei    := TStringList.create;
      DateiNeu := TStringList.create;
      if FileExists(Profile_Pfad) then
          Begin
            Datei.LoadFromFile(Profile_Pfad);
            if (Datei.Count>0) then
              Begin
                for n := 0 to Datei.count-1 do
                  Begin
                    if Pos(rsync_opt,Trim(Datei[n]))=1 then
                      Begin
                        Datei[n] := rsync_opt+'="'+rsync_options+'"';
                      end;
                  end;
                //ShowMessage(Datei.text);
                Datei.SaveToFile(Profile_Pfad);
                ProfilSpeichern.enabled:=false;
              end;
          end
        else
          begin
            ShowMessage('Fehler:'+ret+'Die Datei'+ret+Profile_Pfad+ret+'wurde nicht gefunden!');
          end;
      If FileExists(userset_pfad) then
        Begin
          Datei.Loadfromfile(userset_Pfad);
          DateiNeu.Clear;
          if (Datei.Count>0) then
            for n := 0 to Datei.count-1 do
              Begin
                Datei[n] := Trim(Datei[n]);
                if (Pos('#',Datei[n]) = 1) then DateiNeu.Append(Datei[n]);
              end;
          if (HomeGrid.RowCount>1) then
            Begin
              for n := 1 to HomeGrid.RowCount-1 do
                Begin
                  if HomeGrid.cells[4,n]='Server' then
                    Begin
                      HomeGrid.cells[1,n] := Trim(HomeGrid.cells[1,n]);
                      Beschr := '';
                      if (Datei.count > 0) then
                        for m:= 0 to Datei.count-1 do
                          Begin
                            Datei[m] := Trim(Datei[m]);
                            p := Pos(':',Datei[m]);
                            if (p > 0) then
                              Begin
                                pfad := Copy(Datei[m],p+1,Length(Datei[m])-p);
                                if pfad = HomeGrid.cells[1,n] then
                                  Begin
                                    Beschr := Copy(Datei[m],1,p-1);
                                  end;
                              end;
                          end;
                      if Beschr = '' then
                        Begin
                          Beschr := HomeGrid.cells[1,n];
                          Repeat
                            p := Pos('.',Beschr);
                            if p=0 then p:= Pos('/',Beschr);
                            if ( p > 0) then Delete(Beschr,p,1);
                          until p=0;;
                        end;
                      DateiNeu.Append(Beschr+':'+HomeGrid.cells[1,n]);
                    end;
                end;
            end;
          //ShowMessage(DateiNeu.text);
          DateiNeu.SaveToFile(userset_Pfad);
        end;
      If FileExists(usersetopt_pfad) then
        Begin
          Datei.Loadfromfile(usersetopt_Pfad);
          DateiNeu.Clear;
          if (Datei.Count>0) then
            for n := 0 to Datei.count-1 do
              Begin
                Datei[n] := Trim(Datei[n]);
                if (Pos('#',Datei[n]) = 1)       then DateiNeu.Append(Datei[n]);
              end;
          if (HomeGrid.RowCount>1) then
            Begin
              for n := 1 to HomeGrid.RowCount-1 do
                Begin
                  if HomeGrid.cells[4,n]='Server opt' then
                    Begin
                      HomeGrid.cells[1,n] := Trim(HomeGrid.cells[1,n]);
                      Beschr := '';
                      if (Datei.count > 0) then
                        for m:= 0 to Datei.count-1 do
                          Begin
                            Datei[m] := Trim(Datei[m]);
                            p := Pos(':',Datei[m]);
                            if (p > 0) then
                              Begin
                                pfad := Copy(Datei[m],p+1,Length(Datei[m])-p);
                                if pfad = HomeGrid.cells[1,n] then
                                  Begin
                                    Beschr := Copy(Datei[m],1,p-1);
                                  end;
                              end;
                          end;
                      if Beschr = '' then
                        Begin
                          Beschr := HomeGrid.cells[1,n];
                          Repeat
                            p := Pos('.',Beschr);
                            if p=0 then p:= Pos('/',Beschr);
                            if ( p > 0) then Delete(Beschr,p,1);
                          until p=0;;
                        end;
                      DateiNeu.Append(Beschr+':'+HomeGrid.cells[1,n]);
                    end;
                end;
            end;
          if usersetopt_all then DateiNeu.Append('ALL:ALL');
          //ShowMessage(DateiNeu.text);
          DateiNeu.SaveToFile(usersetopt_Pfad);
        end;
{      If FileExists(linklist_pfad) then
        Begin
          Datei.Loadfromfile(linkList_Pfad);
          DateiNeu.Clear;
          if (Datei.Count>0) then
            for n := 0 to Datei.count-1 do
              Begin
                Datei[n] := Trim(Datei[n]);
                if (Pos('#',Datei[n]) = 1) then DateiNeu.Append(Datei[n]);
              end;
          if (HomeGrid.RowCount>1) then
            Begin
              for n := 1 to HomeGrid.RowCount-1 do
                Begin
                  if HomeGrid.cells[4,n]='link' then
                    Begin
                      DateiNeu.Append(HomeGrid.cells[1,n]);
                    end;
                end;
            end;
          DateiNeu.SaveToFile(linkList_Pfad);
        end;
}
{      If FileExists(excludelist_pfad) then
        Begin
          Datei.Loadfromfile(excludeList_Pfad);
          DateiNeu.Clear;
          if (Datei.Count>0) then
            for n := 0 to Datei.count-1 do
              Begin
                Datei[n] := Trim(Datei[n]);
                if (Pos('#',Datei[n]) = 1) then DateiNeu.Append(Datei[n]);
              end;
          if (HomeGrid.RowCount>1) then
            Begin
              for n := 1 to HomeGrid.RowCount-1 do
                Begin
                  if HomeGrid.cells[4,n]='exclude' then
                    Begin
                      DateiNeu.Append(HomeGrid.cells[1,n]);
                    end;
                end;
            end;
          DateiNeu.SaveToFile(ExcludeList_Pfad);
        end;
}
      Datei.free;
      DateiNeu.free;
    end
  else
    Begin
      ShowMessage('Bitte Programm zuerst entsperren.');
    end;
end;

procedure TMainform.SetSpeicherInfo;
Var
  Befehl               : TProcess;
  Ausgabe,mem,swap     : TStringList;
  n,m1,m2,m3,s1,s2,s3  : integer;
begin
  Befehl   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  mem      := TStringList.create;
  swap     := TStringList.create;
  Befehl.commandline := '/usr/bin/free';
  Befehl.Options := Befehl.Options + [poWaitOnExit, poUsePipes];
  Befehl.Execute;
  Ausgabe.LoadFromStream(Befehl.Output);
  //ShowMessage(Ausgabe.text);
   if (Ausgabe.Count > 0) then
      Begin
        for n:= 0 to Ausgabe.count-1 do
          Begin
            if pos('Speicher:', Ausgabe.Strings[n])>0 then
              Begin
                split(' ',Ausgabe.Strings[n],mem);
                m1 := StrToInt(mem.Strings[1]) div 1024;
                m2 := StrToInt(mem.Strings[2]) div 1024;
                m3 := StrToInt(mem.Strings[3]) div 1024;
              end;
            if pos('Auslagerungs', Ausgabe.Strings[n])>0 then
              Begin
                split(' ',Ausgabe.Strings[n],swap);
                s1 := StrToInt(swap.Strings[1]) div 1024;
                s2 := StrToInt(swap.Strings[2]) div 1024;
                s3 := StrToInt(swap.Strings[3]) div 1024;
              end
            else
              Begin
                s1 := 0;
                s2 := 0;
                s3 := 0;
              end;
          end;
      end;
   SpeicherInfo1.caption := ('Speicher gesamt: '+IntToStr(m1)+' MB');
   SpeicherInfo2.caption := ('Speicher belegt: '+IntToStr(m2)+' MB');
   SpeicherInfo3.caption := ('Speicher frei:   '+IntToStr(m3)+' MB');
   SwapInfo1.caption := ('Swap gesamt: '+IntToStr(s1)+' MB');
   if s1=0 then SwapInfo1.Font.Color := clred;
   SwapInfo2.caption := ('Swap belegt: '+IntToStr(s2)+' MB');
   SwapInfo3.caption := ('Swap frei:   '+IntToStr(s3)+' MB');
   Befehl.free;
  Ausgabe.free;
  mem.free;
  swap.free;
end;


Procedure TMainForm.SetnetzwerkInfo;
Const
    NV = 'Nicht vorhanden!';
Var
  ClientIP,clientMaske : String;
  Zeit   : real;
  b1,b2,b3,b4    : integer;
  s1,s2,s3,s4,f4 : integer;
  n              : integer;
  Datei,Zeile    : TStringList;
begin
  ClientIP := IPauslesen;
  ClientMaske:= Trim(Maskeauslesen);
  ServerIP:='x.x.x.x';
  FirewallIP := 'y.y.y.y';
  ST_ClientIP.caption:=ClientIP;
  if ZerlegeIP(ClientIP, b1,b2,b3,b4) then
    Begin
      if (b1=10) and (b2>=16) then
        Begin
          s1 := b1;
          s2 := (b2 div 16)*16;
          s3 := 1;
          s4 := 1;
          f4 := 254;
          ServerIP := IntToStr(s1)+'.'+IntToStr(s2)+'.'+IntToStr(s3)+'.'+IntToStr(s4);
          FirewallIP := IntToStr(s1)+'.'+IntToStr(s2)+'.'+IntToStr(s3)+'.'+IntToStr(f4);
          ST_ServerIP.font.color := clDefault;
          ST_FirewallIP.font.color := clDefault;
        end
      else
        Begin
          ServerIP:='unbekannt';
          ST_ServerIP.font.color := clred;
          FirewallIP:='unbekannt';
          ST_FirewallIP.font.color := clred;
        end;
    end
  else
    Begin
      ShowMessage('Fehler!'+ret+ret+'Eine verwendbare Client IP konnte nicht ermittelt werden.'+ret+ClientIP);
    end;
  ST_ServerIP.caption    :=ServerIP;
  ST_FirewallIP.caption  :=FirewallIP;
  ST_Subnetmask.caption  :=clientMaske;
  if clientMaske<>'255.240.0.0' then ST_Subnetmask.Font.color:=clred
                                else ST_Subnetmask.Font.color:=cldefault;
  zeit := Ping(ServerIP);
  if Zeit >=0 then
                Begin
                  StaticText4.caption := 'Ping: '+FloatToStr(zeit)+ ' ms';
                  StaticText4.Font.Color:=cldefault;
                end
              else
                begin
                  StaticText4.caption := 'Ping: unerreichbar' ;
                  StaticText4.Font.Color:=clred;
                end;
  zeit := Ping(FirewallIP);
  if Zeit >=0 then
                Begin
                  StaticText9.caption := 'Ping: '+FloatToStr(zeit)+ ' ms';
                  StaticText9.Font.Color:=cldefault;
                end
              else
                Begin
                  StaticText9.caption := 'Ping: unerreichbar' ;
                  StaticText9.Font.Color:=clred;
                end;
  Datei := TStringList.create;
  Zeile := TStringList.create;
  ///////// LDAP Check
  basedn := NV;
  urildap:= NV;
  if FileExists(ldapconf) then
  Begin
    Datei.LoadFromFile(ldapconf);
    for n := 0 to Datei.count-1 do
    Begin
      if pos('base ',Datei[n])=1 then
        Begin
          basedn := Trim(Copy(Datei[n],6,length(Datei[n])-5));
          ST_BaseDN.Caption :='Base DN:    '+basedn;
        end;
      if pos('uri ldap:',Datei[n])=1 then
        Begin
          urildap := Trim(Copy(Datei[n],10,length(Datei[n])-9));
          ST_LDAPServer.Caption :='LDAP Server:    '+urildap;
          if Pos(ServerIP,urildap)=0 then
            Begin
              ST_LDAPServer.Font.color:=clred;
            end;
        end;
    end;
  end;
  if basedn = NV then
      begin
        ST_BaseDN.Caption :='Base DN:    '+basedn;
        ST_BaseDN.Font.color:=clred;
      end;
  if urildap = NV then
      begin
        ST_LDAPServer.Caption :='LDAP Server:    '+urildap;
        ST_LDAPServer.Font.color:=clred;
      end;
  Zeile.free;
  Datei.free;
end;

Procedure TMainForm.SetPingList;
Var
  n, PingAnz,p    : Integer;
  Zeit            : real;
  Info, Ziel      : String;
Begin
  PingListGrid.rowCount := 2;
  PingListGrid.ColWidths[0] := 100;
  PingListGrid.ColWidths[1] := 300;
  PingListGrid.ColWidths[2] := 100;
  PingListGrid.Cells[1,0] := 'Ziel Adresse';
  PingListGrid.Cells[2,0] := 'Ping (ms)';
  PingAnz := pinglist.Count;
  if PingAnz >0 then
    Begin
      PingListGrid.rowCount := PingAnz+1;
      for n := 1 to PingAnz do
        Begin
          p := pos(',',PingList[n-1]);
          Info := Copy(PingList[n-1],1,p-1);
          Ziel := Copy(PingList[n-1],p+1,length(PingList[n-1]));
          zeit := Ping(Ziel);
          PingListGrid.cells[0,n] := Info;
          PingListGrid.cells[1,n] := Ziel;
          PingListGrid.cells[2,n] := FloatToStr(Zeit);
       end;
    end
  else
    Begin
      PingListGrid.RowCount:=1;
    end;
end;

procedure TMainform.ID_DSA_PUBClick(Sender: TObject);
begin
  iddsa_form.keytype := (Sender as TButton).tag;
  if validIP(serverip) then iddsa_form.showmodal
  else ShowMessage('Ohne gültige Server-IP kann der Import nicht durchgeführt werden.'+ret+ret+
                   'Server IP: '+serverip);
end;

procedure TMainform.LeoclientShow(Sender: TObject);
Var
  Pfad, ver, s : String;
  zeilen,Zeile       : TStringList;
  n,p1,p2      : integer;
begin
  VMList_Grid.Cells[1,0] := 'Virtuelle Maschine';
  VMList_Grid.ColWidths[0] := 20;
  VMList_Grid.ColWidths[1] := VMList_Grid.Width-23;

  VM_Grid.ColWidths[0] := 180;
  VM_Grid.ColWidths[1] := 335;
  VM_Grid.ColWidths[2] := vm_Grid.Width-523;
  Pfad  := '/etc/leoclient2';
  If not FileExists(Pfad) then
     Begin
      ShowMessage('Das Verzeichnis'+ret+Pfad+ret+'wurde nicht gefunden.'+ret+
                  'Ggf. ist das Paket "leoclient2" '+ret+'nicht installiert.');
    end;
  Bt_LeoClick(nil);
  Zeilen := TstringList.create;
  Zeile  := TstringList.create;
  Zeilen.text := Befehl_exec('dpkg -l leoclient2-leovirtstarter-client');
  ver:='unbekannt';
  for n := 0 to Zeilen.count -1 do
    Begin
      s := Zeilen[n];
      Split(' ',s,Zeile);
      if (Zeile[0]='ii') and (Zeile[1]='leoclient2-leovirtstarter-client') then
        Begin
          ver := Zeile[2];
        end;
    end;
  Leoversion.caption := 'Version: '+ver;
  Zeilen.free;
  Zeile.free;
end;


procedure TMainform.BT_LeoClick(Sender: TObject);
var
  Pfad,Zeile : String;
  Datei      : TStringList;
  n,m,p1,p2  : integer;
  Found      : Integer;
  SearchRec  : TSearchRec;

begin
  VMList_Grid.RowCount := 2;
  VMList_Grid.Cells[1,1] := '';
  VMList_Grid.Cells[0,1] := '';
  Datei := TStringList.create;
  Pfad  := '/etc/leoclient2/machines';
  Found := FindFirst(Pfad+'/*.conf', faDirectory, SearchRec);
  n := 1;
  while Found = 0 do
    begin
      if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
        Begin
          if Fileexists(Pfad+'/'+SearchRec.Name) then
            Begin
              Datei.loadfromfile(Pfad+'/'+SearchRec.Name);
              VMList_Grid.RowCount :=n+1;
              VMList_Grid.Cells[0,n] := IntToStr(n);
              For m := 0 to Datei.count-1 do
                Begin
                  Zeile := Trim(Datei[m]);
                  if (pos('/',Zeile)=1) then
                    Begin
                      p1 := pos('.conf',SearchRec.name);
                      VMList_Grid.Cells[1,n] := Copy(SearchRec.Name,1,p1-1);
                    end
                  else if (zeile <>'') then
                    begin
                      VMList_Grid.Cells[1,n] := 'UNKLARE DATEN in '+SearchRec.name;
                    end;
                end;
              if Datei.count=0 then
                Begin
                  VMList_Grid.Cells[1,n] := 'Leere Datei: '+SearchRec.name;
                end;
            end;
          inc(n);
        end;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
  Pfad:= '/etc/leoclient2/servers.conf';
  if FileExists(Pfad) then
     Begin
       Datei.LoadFromFile(Pfad);
       for n := 0 to Datei.Count-1 do
         Begin
           p1 := pos('SERVERDIR',Datei[n]);
           p2 := pos('=',Datei[n]);
           if (p1=1) and (p2>9) then ED_Serverdir.text := Trim(Copy(Datei[n],p2+1,length(Datei[n])-p2));
         end;
     end;
  Pfad := ED_Serverdir.text;
  If not FileExists(Pfad) then Serverdir_warning.visible := True
                          else Serverdir_warning.visible := false;
  Datei.free;
  VMList_Grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goSmoothScroll];
  VMLIst_selected := false;
end;



procedure TMainform.VMList_GridClick(Sender: TObject);
var
  row,m,n,z,n0,a,d         : integer;
  p, p1,p2                 : integer;
  VM_Pfad, Conf_Pfad,Zeile,Pfad2 : String;
  vbox_Pfad, vbox_a_Pfad, S_Pfad, Pfad   : String;
  VM_Name,SnapshotName,Snapshot_a_Name,s    : String;
  Datei                 : TStringList;
  Found,Found2          : Integer;
  SearchRec,SearchRec2  : TSearchRec;
  S_gefunden, Snapshot_Exists            : Boolean;

begin
  VMList_grid.Options:=[goFixedVertLine,goFixedHorzLine,goVertLine,goHorzLine,goRangeSelect,goRowSelect,goSmoothScroll];
  VMList_selected := True;
  Datei  := TStringList.create;
  row    := VMList_Grid.Row;
  VM_Name := VMList_Grid.cells[1,row];
  VM_Grid.Cells[0,0] := 'Name der VM:';
  VM_Grid.Cells[1,0] := VM_Name;
  Conf_Pfad   := '/etc/leoclient2/machines/'+VM_Name+'.conf';
  if FileExists(Conf_Pfad) then Datei.loadfromfile(Conf_Pfad)
  else
    Begin
      if VM_Name <>'' then ShowMessage('Fehler!'+ret+ret+
                           'Auf die VM-Konfiguration ist nicht zugreifbar:'+ret+ret+
                           VM_Name);
      VM_Grid.RowCount:=1;
      exit;
    end;
  n := 1; VM_Grid.RowCount:=n+1;
  VM_Grid.cells[0,1] := 'VM-Pfad:';
  For m := 0 to Datei.count-1 do
    Begin
      Zeile := Trim(Datei[m]);
      if (pos('/',Zeile)=1) then
        Begin
          VM_Pfad := Zeile;
          VM_Grid.Cells[1,1] := VM_Pfad;
        end
      else if (zeile <>'') then
        begin
          VM_Grid.Cells[1,1] := 'UNKLARE DATEN';
        end;
    end;
  if not DirectoryExists(VM_Pfad) then
    Begin
      VM_Grid.Cells[2,1] := 'Verz. fehlt!';
      exit;
    end
  else
    Begin
      VM_Grid.Cells[2,1] := FormatFloat('#0.##',du_MB(VM_Pfad))+' MB';
      inc(n); VM_Grid.RowCount:=n+1;
      VM_Grid.RowHeights[n]:=5;
   end;
  // base-Festplatte
  if FileExists(VM_Pfad+'/'+VM_Name+'.vdi') then
    Begin
      inc(n); VM_Grid.RowCount:=n+1;
      VM_Grid.cells[0,n] := 'base-Festplatte:';
      VM_Grid.Cells[1,n] := VM_Name+'.vdi';
      VM_Grid.Cells[2,n] := FormatFloat('#0.##',du_MB(VM_Pfad+'/'+VM_Name+'.vdi'))+' MB';
    end
  else if FileExists(VM_Pfad) then
    Begin
      inc(n); VM_Grid.RowCount:=n+1;
      VM_Grid.cells[0,n] := 'base-Festplatte';
      VM_Grid.Cells[1,n] := VM_Name+'.vdi';
      VM_Grid.Cells[2,n] := 'Datei fehlt!';
    end;
  // network.conf ??
  if FileExists(VM_Pfad+'/network.conf') then
    Begin
      n := n+1; VM_Grid.RowCount:=n+1;
      VM_Grid.Cells[0,n] := '          Netz:';
      VM_Grid.Cells[1,n] := 'network.conf';
      a := ConfZeilenZaehlen(VM_Pfad+'/network.conf');
      if a>0 then VM_Grid.Cells[2,n] := IntToStr(a)+' Einträge'
             else VM_Grid.Cells[2,n] := '0 Einträge!';
    end;
  // image.conf ??
  if FileExists(VM_Pfad+'/image.conf') then
    Begin
      inc(n); VM_Grid.RowCount := n+1;
      VM_Grid.Cells[0,n] := '          Berechtigungen:';
      VM_Grid.Cells[1,n] := 'image.conf';
      a := ConfZeilenZaehlen(VM_Pfad+'/image.conf');
      if a>0 then VM_Grid.Cells[2,n] := IntToStr(a)+' Einträge'
             else VM_Grid.Cells[2,n] := '0 Einträge!';
    end;
  // aktueller Snapshot
  inc(n); VM_Grid.RowCount:=n+1;
  VM_Grid.Cells[0,n] := 'aktueller Snapshot:';
  // default .vbox-Datei analysieren
  vbox_Pfad := VM_Pfad+'/defaults/'+VM_Name+'.vbox';
  SnapshotName :='';
  d:=0;
  if FileExists(vbox_Pfad) then
    Begin
      Datei.LoadFromFile(vbox_Pfad);
      for m := 0 to Datei.count-1 do
        Begin
          p1 := pos('location="Snapshots/{',Datei[m]);
          p2 := pos('}.vdi',Datei[m]);
          if p2>p1 then
            Begin
              SnapshotName := Copy(Datei[m],p1+20,p2-p1-15);
              VM_Grid.Cells[1,n] := SnapshotName;
              S_Pfad := VM_Pfad+'/Snapshots/'+SnapshotName;
              if FileExists(S_Pfad) then
                Begin
                  VM_Grid.Cells[2,n] := FormatFloat('#0.##',du_MB(S_Pfad))+' MB';
                  Snapshot_exists := true;
                  d:=n;
                end
              else
                Begin
                  VM_Grid.Cells[2,n] := 'Datei fehlt!';
                  Snapshot_exists := false;
                end;
            end;
        end;
      If SnapshotName ='' then
        Begin
          ShowMessage('Fehler!'+ret+ret+'Der Snapshot-Name konnte aus der'+ret+
                           'default - .vbox-Datei nicht bestimmt werden.');
          VM_Grid.Cells[1,n] := 'FEHLER: Snapshot-Name nicht bestimmbar!';
        end;
    end
  else
    Begin
      //ShowMessage('Fehler!'+ret+ret+'Die Datei'+ret+ret+Pfad+ret+ret+'existiert nicht!');
      VM_Grid.Cells[1,n] := 'Die Datei "'+VM_Name+'.vbox" fehlt im Verzeichnis "defaults"!';
      VM_Grid.Cells[2,n] := 'Datei fehlt!';
    end;
  // aktuelle .vbox-Datei analysieren
  vbox_a_Pfad := VM_Pfad+'/'+VM_Name+'.vbox';
  Snapshot_a_Name :='';
  if FileExists(vbox_a_Pfad) then
    Begin
      Datei.LoadFromFile(vbox_a_Pfad);
      for m := 0 to Datei.count-1 do
        Begin
          p1 := pos('location="Snapshots/{',Datei[m]);
          p2 := pos('}.vdi',Datei[m]);
          if p2>p1 then
            Begin
              Snapshot_a_Name := Copy(Datei[m],p1+20,p2-p1-15);
            end;
        end;
      If Snapshot_a_Name ='' then
        Begin
          ShowMessage('Fehler!'+ret+ret+'Der aktuelle Snapshot-Name konnte aus der'+ret+
                           '.vbox-Datei nicht bestimmt werden.');
        end
      else if (Snapshot_a_Name <> SnapshotName) then
        Begin
          ShowMessage('Achtung!'+ret+ret+'Der aktuelle Snapshot-Name stimmt mit dem'+ret+
                           'default-Snapshot-Namen nicht überein:'+ret+ret+
                           'Aktuell:'+Snapshot_a_Name+ret+
                           'Default:'+SnapshotName+ret+ ret+
                           'Wahrscheinlich wurde ein zusätzlicher Sicherungspunkt gesetzt.'
                           );
        end;  ;
    end
  else
    Begin
      //ShowMessage('Fehler!'+ret+ret+'Die Datei'+ret+ret+Pfad+ret+ret+'existiert nicht!');
      VM_Grid.Cells[1,n] := 'Die Datei "'+VM_Name+'.vbox" fehlt im Verzeichnis "defaults"!';
      VM_Grid.Cells[2,n] := 'Datei fehlt!';
    end;

    ;
  // sav-Datei - Status saved ???
  Pfad := VM_Pfad+'/Snapshots';
  Found := FindFirst(Pfad+'/*' , faDirectory, SearchRec);
  while Found = 0 do
    Begin
      if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') and (SearchRec.Name <> SnapShotName)then
        Begin
          p := Pos ('.sav',SearchRec.Name);
          if (p>0) and (p = (length(SearchRec.Name)-3)) then
            Begin
              inc(n); VM_Grid.RowCount:=n+1;
              VM_Grid.Cells[1,n] := Searchrec.name;
              VM_Grid.Cells[2,n] := 'VM saved!';
            end
          else
            begin
              inc(n); VM_Grid.RowCount:=n+1;
              VM_Grid.Cells[1,n] := Searchrec.name;
              if SearchRec.Name = Snapshot_a_Name then
                Begin
                  VM_Grid.Cells[2,n] := 'Aktuell!';
                  if d>0 then VM_Grid.Cells[2,d] := 'Default!'
                end
              else
                Begin
                  VM_Grid.Cells[2,n] := 'Datei zu viel!';
                end;
            end;
        end;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
  // Snapshots
  //////////////////////////////////////////////////////////
  Pfad := VM_Pfad+'/snapshot-store';
  VM_ObsoleteList.Clear;
  VM_SnapshotList.Clear;
  Found := FindFirst(Pfad+'/*' , faDirectory, SearchRec);
  while Found = 0 do
    begin
      if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
        Begin
          if Fileexists(Pfad+'/'+SearchRec.Name) and (SearchRec.Name <>'base') then
            Begin
              inc(n); VM_Grid.RowCount:=n+1;
              VM_Grid.RowHeights[n]:=5;
              inc(n); VM_Grid.RowCount:=n+1;
              VM_Grid.Cells[0,n] := 'Snapshot: "'+SearchRec.Name+'"';
              VM_SnapshotList.append(SearchRec.Name);
              Pfad2 := VM_Pfad+'/snapshot-store/'+SearchRec.Name;
              Found2 := FindFirst(Pfad2+'/{*}.vdi' , faDirectory, SearchRec2);
              z  := 0;
              S_gefunden := false;
              n0 := n;
              while Found2 = 0 do
                Begin
                  if (SearchRec2.Name <> '..') and  (SearchRec2.Name <> '.') then
                    Begin
                      if z>0 then Begin inc(n) ;VM_Grid.RowCount:=n+1; end;
                      VM_Grid.Cells[1,n] := Searchrec2.name;
                      inc(z);
                      if (SearchRec2.Name = SnapshotName) then
                        Begin
                          if du_byte(Pfad2+'/'+SearchRec2.Name)=0 then
                            Begin
                              VM_Grid.Cells[2,n] := '0 Byte!';
                            end
                          else
                            Begin
                              VM_Grid.Cells[2,n] := FormatFloat('#0.##',du_MB(Pfad2+'/'+SearchRec2.Name))+' MB';
                            end;
                          if (n <> n0) then
                            Begin
                              s := VM_Grid.Cells[1,n] ; VM_Grid.Cells[1,n] := VM_Grid.Cells[1,n0] ; VM_Grid.Cells[1,n0] := s;
                              s := VM_Grid.Cells[2,n] ; VM_Grid.Cells[2,n] := VM_Grid.Cells[2,n0] ; VM_Grid.Cells[2,n0] := s;
                            end;
                        end
                      else
                        Begin
                          S_gefunden := True;
                          VM_Grid.Cells[2,n] := 'Veraltet!';
                          VM_ObsoleteList.append(Pfad2+'/'+SearchRec2.Name);
                          if FileExists(Pfad2+'/'+SearchRec2.Name+'.zip') then
                            Begin
                              inc(n); VM_Grid.RowCount:=n+1;
                              VM_Grid.Cells[1,n] := SearchRec2.Name+'.zip';
                              VM_Grid.Cells[2,n] := 'Veraltet!';
                              VM_ObsoleteList.append(Pfad2+'/'+SearchRec2.Name+'.zip');
                            end;
                        end;
                     end;
                Found2 := FindNext(SearchRec2);
                end;
              if z=0 then
                Begin
                  VM_Grid.Cells[1,n] := Snapshotname;
                  VM_Grid.Cells[2,n] := 'Datei fehlt!';
                end;
              FindClose(SearchRec2);
              if FileExists(Pfad2+'/'+SnapshotName+'.zip') then
                begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[1,n] := Snapshotname+'.zip';
                  VM_Grid.Cells[2,n] := FormatFloat('#0.##',du_MB(Pfad2+'/'+Snapshotname+'.zip'))+' MB';;
                end
              else if not S_gefunden then
                Begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[1,n] := Snapshotname+'.zip';
                  VM_Grid.Cells[2,n] := 'Datei fehlt!';
                end;
              if not FileExists(Pfad+'/'+SearchRec.Name+'/filesize.vdi') then
                Begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[1,n] := 'filesize.vdi';
                  VM_Grid.Cells[2,n] := 'Datei fehlt!';
                end;
              if not FileExists(Pfad+'/'+SearchRec.Name+'/filesize.vdi.zipped') then
                Begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[1,n] := 'filesize.vdi.zipped';
                  VM_Grid.Cells[2,n] := 'Datei fehlt!';
                end;
              if FileExists(Pfad+'/'+SearchRec.Name+'/network.conf') then
                Begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[0,n] := '          Netz:';
                  VM_Grid.Cells[1,n] := 'network.conf';
                  a := ConfZeilenZaehlen(Pfad+'/'+SearchRec.Name+'/network.conf');
                  if a>0 then VM_Grid.Cells[2,n] := IntToStr(a)+' Einträge'
                         else VM_Grid.Cells[2,n] := '0 Einträge!';
                end;
              if FileExists(Pfad+'/'+SearchRec.Name+'/image.conf') then
                Begin
                  inc(n); VM_Grid.RowCount:=n+1;
                  VM_Grid.Cells[0,n] := '          Berechtigungen:';
                  VM_Grid.Cells[1,n] := 'image.conf';
                  a := ConfZeilenZaehlen(Pfad+'/'+SearchRec.Name+'/image.conf');
                  if a>0 then VM_Grid.Cells[2,n] := IntToStr(a)+' Einträge'
                         else VM_Grid.Cells[2,n] := '0 Einträge!';
                end;
            end;
        end;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
  Datei.free;
end;

Function TMainform.ConfZeilenZaehlen(Pfad : String) : integer;
Var
  Datei : TStringList;
  n,z   : Integer;
  s     : String;
Begin
  z := 0;
  Datei := TStringList.create;
  Datei.LoadFromFile(Pfad);
  for n := 0 to Datei.count-1 do
    Begin
      s := Trim(Datei[n]);
      if (s <>'') and (s[1]<>'#') then inc (z);
    end;
  Datei.free;
  Result := z;
end;

procedure TMainform.VM_GridDblClick(Sender: TObject);
var
  row,col : Integer;
begin
  row := VM_Grid.row;
  Col := VM_Grid.col;
  //ShowMessage(VM_Grid.cells[col,row]);
end;

procedure TMainform.VM_GridPrepareCanvas(sender: TObject; aCol, aRow: Integer; aState: TGridDrawState);
var
  zelle : String;
begin
  zelle := VM_Grid.cells[aCol, aRow];
  with (Sender as TStringGrid) do
  begin

    if (pos('!',zelle)=length(zelle)) then Canvas.Font.Color := clRed
                          else Canvas.Font.Color := clDefault;

  end;
end;

procedure TMainform.BT_SnapshotcreateClick(Sender: TObject);
Var
  VMName, VMPfad, VDIName, SPfad : String;
  ZPfad : String;
  NewSnapshot, NewPfad, Filesize : String;
  n,p           : integer;
  Leerzeichen,dummy   : Boolean;
  Datei         : TStringList;
begin
  Datei := TStringList.create;;
  VMName := VM_Grid.Cells[1,0];
  if VMName = '' then
    Begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
    end
  else
    Begin
      VMPfad := VM_Grid.Cells[1,1];
      VDIName :='';
      for n:= 1 to VM_Grid.rowcount-1 do
        Begin
          if VM_Grid.Cells[0,n] = 'aktueller Snapshot:' then VDIName := VM_Grid.Cells[1,n];
        end;
      if Pos('.vdi',VDIName) = 0 then VDIName  := '???';
      SPfad  := VMPfad+'/Snapshots/'+VDIName;
      If FileExists(SPfad) then
        Begin
          NewSnapshot := '';
          if InputQuery('Aktuellen Snapshot sichern','Bitte Geben Sie einen Namen ein,'+ret+
                        'unter dem der aktuelle Snapshot gesichert werden soll:'+ret+ret,NewSnapshot) then
            Begin
              NewSnapshot := Trim (NewSnapshot);
              if NewSnapshot = '' then
                Begin
                  ShowMessage('Name fehlt, Abbruch!');
                  exit;
                end;
              p:= pos(' ',NewSnapshot);
              Leerzeichen := false;
              While p>0 do
                 Begin
                   Leerzeichen := True;
                   NewSnapshot[p] := '_';
                   p:= pos(' ',NewSnapshot);
                end;
              if Leerzeichen then ShowMessage('Achtung!'+ret+ret+'Leerzeichen wurden durch Unterstrich ersetzt!');
              NewPfad := VMPfad+'/snapshot-store/'+NewSnapshot;
              if DirectoryExists(NewPfad) then
                Begin
                  if mrcancel = MessageDlg('Snapshot sichern','Der Snapshot existiert schon:'+ret+ret+'"'+NewSnapshot+'"'+ret+ret+
                         'Soll der Snapshot ersetzt werden?',mtConfirmation,[mbcancel,mbYes],0) then exit
                end;
              if mryes = MessageDlg('.vdi - Snapshotdatei','Soll die ungepackte .vdi-Snapshotdatei als'
                                    +ret+'0-Byte-Dummy angelegt werden?',mtConfirmation,[mbno,mbYes],0) then
                Begin
                  dummy:=true;
                end
              else
                Begin
                  dummy:=false;
                end;
              ShowMessage('Das Sichern des Snapshots kann dauern.'+ret+
                          'Bitte warten!');
              //if DirectoryExists(NewPfad) then Befehl_Exec('rm -Rf "'+NewPfad+'"');
              if not DirectoryExists(NewPfad) then CreateDir(NewPfad);
              if dummy then
                Begin
                  // {...}.vdi nur als leere Datei
                  Befehl_Exec('rm -f "'+NewPfad+'/'+VDIName+'"');
                  Befehl_Exec('touch "'+NewPfad+'/'+VDIName+'"');
                  Filesize := Befehl_Exec('stat -c%s "'+SPfad+'"');
                  Datei.Clear; Datei.Append(Filesize);
                  Datei.SaveToFile(NewPfad+'/filesize.vdi');
                end
              else
                Begin
                  // .vdi komplett sichern
                  Befehl_Exec('cp -f "'+SPfad+'" "'+NewPfad+'"');
                  Filesize := Befehl_Exec('stat -c%s "'+SPfad+'"');
                  Datei.Clear; Datei.Append(Filesize);
                  Datei.SaveToFile(NewPfad+'/filesize.vdi');
                end;
              ZPfad := NewPfad+'/'+VDIName+'.zip';
              Befehl_Exec('zip -9 -j "'+ZPfad+'" "'+ SPfad+'"');
              Filesize := Befehl_Exec('stat -c%s "'+ZPfad+'"');
              Datei.Clear; Datei.Append(Filesize);
              Datei.SaveToFile(NewPfad+'/filesize.vdi.zipped');
              // Aktualisieren
              VMList_GridClick(nil);
            end;
        end
      else
        begin
          ShowMessage('Fehler!'+ret+ret+'Der aktuelle Snapshot konnte nicht gefunden werden:'+ret+ret+SPfad);
        end;
    end;
  Datei.free;
end;

procedure TMainform.BT_SnapshotdeleteClick(Sender: TObject);
Var
  n : integer;
begin
  If VM_ObsoleteList.count =0 then
    Begin
      ShowMessage('In der ausgewählten Maschine gibt es keine veralteten Snapshots!');
    end
  else
    Begin
      if mrcancel = MessageDlg('Veraltete Snapshots löschen','Folgende Snapshots sind veraltet:'+ret+ret+VM_ObsoleteList.text+ret+
                         'Sollen diese gelöscht werden?',mtConfirmation,[mbcancel,mbYes],0) then exit;
      for n := 0 to VM_ObsoleteList.count-1 do
        Begin
          DeleteFile(VM_ObsoleteList[n]);
        end;
      VMList_GridClick(nil);
    end;
end;

procedure TMainform.BT_SnapshotLoeschenClick(Sender: TObject);
var
  SLoeschen : String;
  VM_Name, VM_Pfad, Pfad : String;
begin
  VM_Pfad := VM_Grid.Cells[1,1];
  VM_Name := VM_Grid.Cells[1,0];
  if  (VM_Name = '') then
    Begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
      end
  else if (VM_Snapshotlist.count =0) then
    Begin
      ShowMessage('Keine Snapshots, die gelöscht werden könnten, sind vorhanden!');
    end
  else
    Begin
      WahlForm.ZeigeBase     := false;
      WahlForm.ZeigeStandard := true;
      WahlForm.Snapshotlist:= VM_Snapshotlist;
      WahlForm.Caption := 'Snapshot löschen';
      WahlForm.ED_Neu.visible := false;
      WahlForm.InfoText.Caption:='Wählen Sie einen Snapshot aus.';
      if mrOK = WahlForm.showmodal then
        Begin
          if WahlForm.RG_Snapshot.ItemIndex>-1 then
            Begin
              SLoeschen := WahlForm.RG_Snapshot.Items[WahlForm.RG_Snapshot.ItemIndex];
              if SLoeschen = 'standard' then ShowMessage('Achtung!'+ret+ret+'Sie sind gerade dabei den standard-Snapshot zu löschen!');
              if mrcancel = MessageDlg('Snapshots löschen','Soll der Snapshot:'+ret+ret+'"'+SLoeschen+'"'+ret+ret+
                         'komplett gelöscht werden?',mtConfirmation,[mbcancel,mbYes],0) then exit;
              Pfad := VM_Pfad+'/snapshot-store/'+SLoeschen;
              Befehl_Exec('rm -Rf "'+Pfad+'"');
              VMList_GridClick(nil);
            end
          else
            Begin
              ShowMessage('Sie haben keinen Snapshot ausgewählt!');
            end;
        end;
    end;
end;

procedure TMainform.BT_SnapshotUmbenennenClick(Sender: TObject);
var
  SUmbenennen, SNeu : String;
  VM_Name, VM_Pfad, Pfad1, Pfad2 : String;
  n : integer;
begin
  VM_Name := VM_Grid.Cells[1,0];
  if  (VM_Name = '') then
    Begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
      end
  else if VM_Snapshotlist.count =0 then
    Begin
      ShowMessage('Kein Snapshot, der umbenannt werden kann, ist vorhanden!');
    end
  else
    Begin
       VM_Pfad := VM_Grid.Cells[1,1];
      WahlForm.ZeigeBase     := false;
      WahlForm.ZeigeStandard := true;
      WahlForm.Snapshotlist:= VM_Snapshotlist;
      WahlForm.Caption := 'Snapshot umbenennen';
      WahlForm.ED_Neu.visible := true;
      WahlForm.ED_Neu.text :='';
      WahlForm.InfoText.Caption:='Wählen Sie einen Snapshot aus und'+ ret+'geben Sie einen neuen Namen ein.';
      if mrOK = WahlForm.showmodal then
        Begin
          if WahlForm.RG_Snapshot.ItemIndex>-1 then
            Begin
              if WahlForm.RG_Snapshot.ItemIndex =0 then SUmbenennen := 'standard'
                else SUmbenennen := WahlForm.RG_Snapshot.Items[WahlForm.RG_Snapshot.ItemIndex];
              SNeu := Trim(WahlForm.ED_Neu.text);
              if SNeu = '' then
                Begin
                  ShowMessage('Bitte einen neuen Namen angeben!');
                  exit;
                end;
              for n := 0 to VM_Snapshotlist.count-1 do
                Begin
                  if (SNeu='base') or (SNeu = VM_Snapshotlist[n]) then
                    Begin
                      ShowMessage('Der Snapshot'+ret+ret+SNeu+ret+ret+'ist schon vorhanden, Abbruch.');
                      exit;
                    end;
                end;
              if SUmbenennen = 'standard' then ShowMessage('Achtung!'+ret+ret+'Sie sind gerade dabei den standard-Snapshot umzubenennen!');
              if mrcancel = MessageDlg('Snapshot umbenennen','Soll der Snapshot:'+ret+ret+SUmbenennen+ret+ret+
                                       'umbenannt werden?',mtConfirmation,[mbcancel,mbYes],0) then exit;
              Pfad1 := VM_Pfad+'/snapshot-store/'+SUmbenennen;
              Pfad2 := VM_Pfad+'/snapshot-store/'+SNeu;
              Befehl_exec('mv -f "'+Pfad1+'" "'+Pfad2+'"');
              VMList_GridClick(nil);
            end
          else
            Begin
              ShowMessage('Sie haben keinen Snapshot ausgewählt!');
            end;
        end;
    end;
end;


procedure TMainform.BT_Network_ConfClick(Sender: TObject);
Var
  mr          : integer;
  Conf        : TStringList;
  VM_Pfad, VM_Name, SName, HName  : String;
  ConfPfad, ConfDatei,ConfDefault : String;
begin
  If (Sender as TButton) = BT_Network_Conf then
    Begin
      WahlForm.Caption := 'network.conf erstellen';
      ConfEditForm.Caption     := 'Bearbeiten der network.conf - Datei';
      HName := Trim(Befehl_exec('/bin/hostname'));
      ConfDatei := 'network.conf';
      ConfDefault := '# network.conf'+ret+
                     '# Field 1: hostname des Linuxclient'+ret+
                     '# Field 2: network device 1-4 '+ret+
                     '# Field 3: virtualbox networking mode:  nat|bridged'+ret+
                     '# Field 4: MAC-Adress '+ret+
                     '# Field 5: NIC of host '+ret+
                     '# '+ret+
                     '# Beispiele:'+ret+
                     '# '+HName+';1;nat;08aa11223344;auto-used-nic'+ret+
                     '# '+HName+';1;bridged;08bb11223344;auto-unused-nic'+ret+
                     ''+ret+
                     ''+ret;                                           ;
    end
  else if (Sender as TButton) = BT_Image_Conf then
    Begin
      WahlForm.Caption := 'image.conf erstellen';
      ConfEditForm.Caption     := 'Bearbeiten der image.conf - Datei';
      ConfDatei := 'image.conf';
      ConfDefault := '# image.conf'+ret+
                     '# Berechtigungen eine VM/Snapshot zu starten,'+ret+
                     '# Genaueres siehe Wiki'+ret+
                     '# '+ret+
                     '# Beispiele: '+ret+
                     '# user=otto,peter'+ret+
                     '# group=teachers'+ret+
                     '# host=lehrerzimmer-pc01'+ret+
                     '# room=physik'+ret+
                     ''+ret+
                     ''+ret;
      end
    else exit;
  VM_Name := VM_Grid.Cells[1,0];
  if  (VM_Name = '') then
    Begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
    end
  else
    Begin
      VM_Pfad := VM_Grid.Cells[1,1];
      WahlForm.ZeigeBase     := true;
      WahlForm.ZeigeStandard := true;
      WahlForm.Snapshotlist:= VM_Snapshotlist;
      WahlForm.ED_Neu.visible := false;
      WahlForm.InfoText.Caption:='Wählen Sie einen Snapshot'+ret+'oder die base-Festplatte aus.';
      if mrOK = WahlForm.showmodal then
      if WahlForm.RG_Snapshot.ItemIndex>-1 then
        Begin
          SName := WahlForm.RG_Snapshot.Items[WahlForm.RG_Snapshot.ItemIndex];
          if WahlForm.RG_Snapshot.ItemIndex=0 then
            Begin
              ConfPfad := VM_Pfad+'/'+ConfDatei;
            end
          else
            Begin
              ConfPfad := VM_Pfad+'/snapshot-store/'+SName+'/'+ConfDatei;
              if not DirectoryExists(VM_Pfad+'/snapshot-store/'+SName) then
                begin
                  ShowMessage('Fehler!'+ret+ret+'Das Snapshot-Verzeichnis existiert nicht:'+ret+ret+VM_Pfad+'/snapshot-store/'+SName);
                  exit;
                end;
            end;
          Conf := TStringList.create;
          if FileExists (ConfPfad) then Conf.LoadFromFile(ConfPfad)
                                   else Conf.text := ConfDefault;
          ConfEditForm.SynEdit1.text:= Conf.text;
          mr := ConfEditForm.ShowModal;
          Conf.text := ConfEditForm.SynEdit1.text;
          if (mr = mrOK)      then Conf.SaveToFile(ConfPfad)
          else if (mr = mrNo) then DeleteFile(ConfPfad);
          VMList_GridClick(nil);
          conf.free;
        end;
    end;
end;

procedure TMainform.BT_pgmadminRegistryClick(Sender: TObject);
Var
  U_Pfad, D_Pfad, S_Pfad : String;
  mg : String;
begin
  U_Pfad := '/home/administrators/pgmadmin/.wine/user.reg';
  D_Pfad := '/home/administrators/pgmadmin/.wine/userdef.reg';
  S_Pfad := '/home/administrators/pgmadmin/.wine/system.reg';
  if FileExists(U_Pfad) and FileExists(D_Pfad) and FileExists(S_Pfad) then
    Begin
      mg := 'Wollen Sie die folgenden Registry-Dateien von wine'+ret+
            'vom pgmadmin zum '+profile_user+' kopieren?'+ ret+ret+
            'user.reg'+ret+'userdef.reg'+ret+'system.reg'+ret+ret+
            '(Die existieren Dateien des '+profile_user+' werden dabei überschrieben.)';
    end
  else
    Begin
      mg := 'Achtung!'+ret+ret+'Die Registry-Dateien beim pgmadmin sind unvollständig!'+ret+ret+
            'Wollen Sie die existierenden Registry-Dateien von wine'+ret+
            'trotzdem vom pgmadmin zum '+profile_user+' kopieren?'+ret+ret+
            '(Die existieren Dateien des '+profile_user+' werden dabei überschrieben.)';
    end;
  if mrYes = MessageDlg('Registry Dateien von wine',mg,mtConfirmation,[mbcancel,mbYes],0) then
    Begin
      Befehl_Exec('cp -f '+U_Pfad+'/home/'+profile_user+'/.wine/user.reg');
      Befehl_Exec('cp -f '+D_Pfad+'/home/'+profile_user+'/.wine/userdef.reg');
      Befehl_Exec('cp -f '+S_Pfad+'/home/'+profile_user+'/.wine/system.reg');
      Befehl_Exec('chown -R '+profile_user+' /home/'+profile_user+'/.wine');
      ShowMessage('Dateien wurden kopiert.');
    end;
end;

procedure TMainform.BT_LeoInitClick(Sender: TObject);
Var
  Init_Befehl : String;
begin
  ShowMessage('Mit dem Script "leoclient2-init" wird eine neue VM erzeugt.'+ret+ret+
                  'Der Prozess wird nun in einem x-Terminal gestartet.'+ret+ret+
                  'Dort die Anfragen beantworten.'+ret+ret+
                  'Anschließend in der VirtualBox-GUI die VM vollständig installieren'+ret+
                  'und dann die GUI beenden.');
  Init_Befehl := 'xterm -e "/usr/sbin/leoclient2-init"';
  Befehl_Exec(Init_Befehl);
  BT_LeoClick(nil);
end;


procedure TMainform.BT_BaseSnapshotRenewClick(Sender: TObject);
Var
  VM_Name : String;
  Renew_Befehl : String;
begin
  VM_Name := VM_Grid.Cells[1,0];
  if  (VM_Name = '') then
    Begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
    end
  else
    Begin
      ShowMessage('Der Prozess wird nun in einem x-Terminal gestartet.'+ret+ret+
                  'Dort die Anfragen zum Namen der VM und Pfad beantworten.'+ret+ret+
                  'Anschließend in der VirtualBox-GUI alle vorhandenen Sicherungspunkte löschen'+ret+
                  'und dann die GUI beenden.');
      Renew_Befehl := 'xterm -e "/usr/sbin/leoclient2-base-snapshot-renew"';
      Befehl_Exec(Renew_Befehl);
      ShowMessage('"leoclient2-base-snapshot-renew" wurde ausgeführt.');
      VMList_GridClick(nil);
    end;
end;

procedure TMainform.BT_VM_LoeschenClick(Sender: TObject);
Var
  VM_Name, VM_Pfad, Conf_Pfad : String;
  Zeile : String;
  row,m     : integer;
  Datei     : TStringList;
begin
  if not VMList_Selected then
    begin
      ShowMessage('Bitte zuerst eine Virtuelle Maschine auswählen!');
      exit;
    end;
  row     := VMList_Grid.Row;
  VM_Name := VMList_Grid.cells[1,row];
  Conf_Pfad   := '/etc/leoclient2/machines/'+VM_Name+'.conf';
  Datei := TStringList.create;
  if FileExists(Conf_Pfad) then Datei.loadfromfile(Conf_Pfad)
  else
     Begin
       if VM_Name <>'' then ShowMessage('Fehler!'+ret+ret+
                           'Auf die VM-Konfiguration ist nicht zugreifbar:'+ret+ret+
                           VM_Name);
       exit;
     end;
  For m := 0 to Datei.count-1 do
    Begin
      Zeile := Trim(Datei[m]);
      if (pos('/',Zeile)=1) then
        Begin
          VM_Pfad := Zeile;
        end
      else if (zeile <>'') then
        begin
          ShowMessage('Unklarer Pfad in '+Conf_Pfad);
        end;
    end;
  Datei.free;
  if mrcancel = MessageDlg('VM Löschen','Wollen Sie die Virtuelle Maschine'+ret+ret+VM_Name+ret+ret+
                                       'mit allen Dateien komplett löschen?'+ret+
                                       '('+FormatFloat('#0.##',du_MB(VM_Pfad))+' MB)',mtConfirmation,[mbcancel,mbYes],0) then exit;

  DeleteFile(Conf_Pfad);
  Befehl_exec('rm -Rf "'+VM_Pfad+'"');
  BT_LeoClick(nil);
end;



end.

