unit Repo_Unit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids;

type

  { TRepoForm1 }

  TRepoForm1 = class(TForm)
    BT_OK: TButton;
    Aktualisieren: TButton;
    Ed_Sources_List_D: TEdit;
    ED_Sources_List: TEdit;
    RepoGrid: TStringGrid;
    srcmemo: TMemo;
    procedure AktualisierenClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  RepoForm1: TRepoForm1;

implementation

{$R *.lfm}

{ TRepoForm1 }

procedure TRepoForm1.AktualisierenClick(Sender: TObject);
var
  Found,n   : Integer;
  SearchRec : TSearchRec;
  Pfad      : String;
begin
  Pfad := ED_Sources_list_D.text;
  RepoGrid.Cells[1,0] := 'Name';
  Found := FindFirst(Pfad+'/*', faDirectory, SearchRec);
  n := 1;
  RepoGrid.ColWidths[1] := 500;
  while Found = 0 do
    begin
      if (SearchRec.Name <> '..') and  (SearchRec.Name <> '.') then
        Begin
          repoGrid.Cells[1,n] := SearchRec.Name;
          RepoGrid.cells[0,n] := IntToStr(n);
          inc(n);
          RepoGrid.RowCount :=n+1;
        end;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
  RepoGrid.RowCount :=n;
  Pfad := ED_Sources_List.text;
  srcMemo.Lines.LoadFromFile(Pfad);
end;

procedure TRepoForm1.FormShow(Sender: TObject);
begin
  AktualisierenClick(nil);
end;

end.

